searchNodes=[{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html","title":"GoogleApi.BigQuery.V2.Api.Datasets","type":"module","doc":"API calls for all endpoints tagged Datasets."},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_delete/5","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_delete/5","type":"function","doc":"Deletes the dataset specified by the datasetId value. Before you can delete a dataset, you must delete all its tables, either manually or by specifying deleteContents. Immediately after deletion, you can create another dataset with the same name. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the dataset being deleted dataset_id (type: String.t) - Dataset ID of dataset being deleted optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :deleteContents (type: boolean()) - If True, delete all the tables in the dataset. If False and the dataset contains tables, the request will fail. Default is False opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_get/5","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_get/5","type":"function","doc":"Returns the dataset specified by datasetID. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the requested dataset dataset_id (type: String.t) - Dataset ID of the requested dataset optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_insert/4","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_insert/4","type":"function","doc":"Creates a new empty dataset. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the new dataset optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Dataset.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_list/4","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_list/4","type":"function","doc":"Lists all datasets in the specified project to which you have been granted the READER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the datasets to be listed optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :all (type: boolean()) - Whether to list all datasets, including hidden ones :filter (type: String.t) - An expression for filtering the results of the request by label. The syntax is &quot;labels.[:]&quot;. Multiple filters can be ANDed together by connecting with a space. Example: &quot;labels.department:receiving labels.active&quot;. See Filtering datasets using labels for details. :maxResults (type: integer()) - The maximum number of results to return :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.DatasetList{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_patch/5","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_patch/5","type":"function","doc":"Updates information in an existing dataset. The update method replaces the entire dataset resource, whereas the patch method only replaces fields that are provided in the submitted dataset resource. This method supports patch semantics. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the dataset being updated dataset_id (type: String.t) - Dataset ID of the dataset being updated optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Dataset.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Datasets.html#bigquery_datasets_update/5","title":"GoogleApi.BigQuery.V2.Api.Datasets.bigquery_datasets_update/5","type":"function","doc":"Updates information in an existing dataset. The update method replaces the entire dataset resource, whereas the patch method only replaces fields that are provided in the submitted dataset resource. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the dataset being updated dataset_id (type: String.t) - Dataset ID of the dataset being updated optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Dataset.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html","title":"GoogleApi.BigQuery.V2.Api.Jobs","type":"module","doc":"API calls for all endpoints tagged Jobs."},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_cancel/5","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_cancel/5","type":"function","doc":"Requests that a job be cancelled. This call will return immediately, and the client will need to poll for the job status to see if the cancel completed successfully. Cancelled jobs may still incur costs. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - [Required] Project ID of the job to cancel job_id (type: String.t) - [Required] Job ID of the job to cancel optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :location (type: String.t) - The geographic location of the job. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.JobCancelResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_get/5","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_get/5","type":"function","doc":"Returns information about a specific job. Job information is available for a six month period after creation. Requires that you&#39;re the person who ran the job, or have the Is Owner project role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - [Required] Project ID of the requested job job_id (type: String.t) - [Required] Job ID of the requested job optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :location (type: String.t) - The geographic location of the job. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_get_query_results/5","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_get_query_results/5","type":"function","doc":"Retrieves the results of a query job. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - [Required] Project ID of the query job job_id (type: String.t) - [Required] Job ID of the query job optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :location (type: String.t) - The geographic location where the job should run. Required except for US and EU. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location. :maxResults (type: integer()) - Maximum number of results to read :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results :startIndex (type: String.t) - Zero-based index of the starting row :timeoutMs (type: integer()) - How long to wait for the query to complete, in milliseconds, before returning. Default is 10 seconds. If the timeout passes before the job completes, the &#39;jobComplete&#39; field in the response will be false opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_insert/4","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_insert/4","type":"function","doc":"Starts a new asynchronous job. Requires the Can View project role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the project that will be billed for the job optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Job.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_insert_resumable/5","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_insert_resumable/5","type":"function","doc":"Starts a new asynchronous job. Requires the Can View project role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the project that will be billed for the job upload_type (type: String.t) - Upload type. Must be &quot;resumable&quot;. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Job.t) - opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_insert_simple/7","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_insert_simple/7","type":"function","doc":"Starts a new asynchronous job. Requires the Can View project role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the project that will be billed for the job upload_type (type: String.t) - Upload type. Must be &quot;multipart&quot;. metadata (type: GoogleApi.BigQuery.V2.Model.Job.t) - object metadata data (type: String.t) - Path to file optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_list/4","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_list/4","type":"function","doc":"Lists all jobs that you started in the specified project. Job information is available for a six month period after creation. The job list is sorted in reverse chronological order, by job creation time. Requires the Can View project role, or the Is Owner project role if you set the allUsers property. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the jobs to list optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :allUsers (type: boolean()) - Whether to display jobs owned by all users in the project. Default false :maxCreationTime (type: String.t) - Max value for job creation time, in milliseconds since the POSIX epoch. If set, only jobs created before or at this timestamp are returned :maxResults (type: integer()) - Maximum number of results to return :minCreationTime (type: String.t) - Min value for job creation time, in milliseconds since the POSIX epoch. If set, only jobs created after or at this timestamp are returned :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results :parentJobId (type: String.t) - If set, retrieves only jobs whose parent is this job. Otherwise, retrieves only jobs which have no parent :projection (type: String.t) - Restrict information returned to a set of selected fields :stateFilter (type: list(String.t)) - Filter for job state opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.JobList{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Jobs.html#bigquery_jobs_query/4","title":"GoogleApi.BigQuery.V2.Api.Jobs.bigquery_jobs_query/4","type":"function","doc":"Runs a BigQuery SQL query synchronously and returns query results if the query completes within a specified timeout. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the project billed for the query optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.QueryRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.QueryResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Models.html","title":"GoogleApi.BigQuery.V2.Api.Models","type":"module","doc":"API calls for all endpoints tagged Models."},{"ref":"GoogleApi.BigQuery.V2.Api.Models.html#bigquery_models_delete/6","title":"GoogleApi.BigQuery.V2.Api.Models.bigquery_models_delete/6","type":"function","doc":"Deletes the model specified by modelId from the dataset. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the model to delete. dataset_id (type: String.t) - Required. Dataset ID of the model to delete. model_id (type: String.t) - Required. Model ID of the model to delete. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Models.html#bigquery_models_get/6","title":"GoogleApi.BigQuery.V2.Api.Models.bigquery_models_get/6","type":"function","doc":"Gets the specified model resource by model ID. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the requested model. dataset_id (type: String.t) - Required. Dataset ID of the requested model. model_id (type: String.t) - Required. Model ID of the requested model. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Model{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Models.html#bigquery_models_list/5","title":"GoogleApi.BigQuery.V2.Api.Models.bigquery_models_list/5","type":"function","doc":"Lists all models in the specified dataset. Requires the READER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the models to list. dataset_id (type: String.t) - Required. Dataset ID of the models to list. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection. :pageToken (type: String.t) - Page token, returned by a previous call to request the next page of results opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.ListModelsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Models.html#bigquery_models_patch/6","title":"GoogleApi.BigQuery.V2.Api.Models.bigquery_models_patch/6","type":"function","doc":"Patch specific fields in the specified model. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the model to patch. dataset_id (type: String.t) - Required. Dataset ID of the model to patch. model_id (type: String.t) - Required. Model ID of the model to patch. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Model.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Model{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Projects.html","title":"GoogleApi.BigQuery.V2.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.BigQuery.V2.Api.Projects.html#bigquery_projects_get_service_account/4","title":"GoogleApi.BigQuery.V2.Api.Projects.bigquery_projects_get_service_account/4","type":"function","doc":"Returns the email address of the service account for your project used for interactions with Google Cloud KMS. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID for which the service account is requested. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Projects.html#bigquery_projects_list/3","title":"GoogleApi.BigQuery.V2.Api.Projects.bigquery_projects_list/3","type":"function","doc":"Lists all projects to which you have been granted any project role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - Maximum number of results to return :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.ProjectList{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html","title":"GoogleApi.BigQuery.V2.Api.Routines","type":"module","doc":"API calls for all endpoints tagged Routines."},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html#bigquery_routines_delete/6","title":"GoogleApi.BigQuery.V2.Api.Routines.bigquery_routines_delete/6","type":"function","doc":"Deletes the routine specified by routineId from the dataset. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the routine to delete dataset_id (type: String.t) - Required. Dataset ID of the routine to delete routine_id (type: String.t) - Required. Routine ID of the routine to delete optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html#bigquery_routines_get/6","title":"GoogleApi.BigQuery.V2.Api.Routines.bigquery_routines_get/6","type":"function","doc":"Gets the specified routine resource by routine ID. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the requested routine dataset_id (type: String.t) - Required. Dataset ID of the requested routine routine_id (type: String.t) - Required. Routine ID of the requested routine optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :fieldMask (type: String.t) - If set, only the Routine fields in the field mask are returned in the response. If unset, all Routine fields are returned. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Routine{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html#bigquery_routines_insert/5","title":"GoogleApi.BigQuery.V2.Api.Routines.bigquery_routines_insert/5","type":"function","doc":"Creates a new routine in the dataset. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the new routine dataset_id (type: String.t) - Required. Dataset ID of the new routine optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Routine.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Routine{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html#bigquery_routines_list/5","title":"GoogleApi.BigQuery.V2.Api.Routines.bigquery_routines_list/5","type":"function","doc":"Lists all routines in the specified dataset. Requires the READER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the routines to list dataset_id (type: String.t) - Required. Dataset ID of the routines to list optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection. :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.ListRoutinesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Routines.html#bigquery_routines_update/6","title":"GoogleApi.BigQuery.V2.Api.Routines.bigquery_routines_update/6","type":"function","doc":"Updates information in an existing routine. The update method replaces the entire Routine resource. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Required. Project ID of the routine to update dataset_id (type: String.t) - Required. Dataset ID of the routine to update routine_id (type: String.t) - Required. Routine ID of the routine to update optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Routine.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Routine{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tabledata.html","title":"GoogleApi.BigQuery.V2.Api.Tabledata","type":"module","doc":"API calls for all endpoints tagged Tabledata."},{"ref":"GoogleApi.BigQuery.V2.Api.Tabledata.html#bigquery_tabledata_insert_all/6","title":"GoogleApi.BigQuery.V2.Api.Tabledata.bigquery_tabledata_insert_all/6","type":"function","doc":"Streams data into BigQuery one record at a time without needing to run a load job. Requires the WRITER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the destination table. dataset_id (type: String.t) - Dataset ID of the destination table. table_id (type: String.t) - Table ID of the destination table. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tabledata.html#bigquery_tabledata_list/6","title":"GoogleApi.BigQuery.V2.Api.Tabledata.bigquery_tabledata_list/6","type":"function","doc":"Retrieves table data from a specified set of rows. Requires the READER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the table to read dataset_id (type: String.t) - Dataset ID of the table to read table_id (type: String.t) - Table ID of the table to read optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - Maximum number of results to return :pageToken (type: String.t) - Page token, returned by a previous call, identifying the result set :selectedFields (type: String.t) - List of fields to return (comma-separated). If unspecified, all fields are returned :startIndex (type: String.t) - Zero-based index of the starting row to read opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.TableDataList{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html","title":"GoogleApi.BigQuery.V2.Api.Tables","type":"module","doc":"API calls for all endpoints tagged Tables."},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_delete/6","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_delete/6","type":"function","doc":"Deletes the table specified by tableId from the dataset. If the table contains data, all the data will be deleted. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the table to delete dataset_id (type: String.t) - Dataset ID of the table to delete table_id (type: String.t) - Table ID of the table to delete optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_get/6","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_get/6","type":"function","doc":"Gets the specified table resource by table ID. This method does not return the data in the table, it only returns the table resource, which describes the structure of this table. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the requested table dataset_id (type: String.t) - Dataset ID of the requested table table_id (type: String.t) - Table ID of the requested table optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :selectedFields (type: String.t) - List of fields to return (comma-separated). If unspecified, all fields are returned opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Table{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_insert/5","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_insert/5","type":"function","doc":"Creates a new, empty table in the dataset. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the new table dataset_id (type: String.t) - Dataset ID of the new table optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Table.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Table{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_list/5","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_list/5","type":"function","doc":"Lists all tables in the specified dataset. Requires the READER dataset role. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the tables to list dataset_id (type: String.t) - Dataset ID of the tables to list optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :maxResults (type: integer()) - Maximum number of results to return :pageToken (type: String.t) - Page token, returned by a previous call, to request the next page of results opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.TableList{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_patch/6","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_patch/6","type":"function","doc":"Updates information in an existing table. The update method replaces the entire table resource, whereas the patch method only replaces fields that are provided in the submitted table resource. This method supports patch semantics. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the table to update dataset_id (type: String.t) - Dataset ID of the table to update table_id (type: String.t) - Table ID of the table to update optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Table.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Table{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Api.Tables.html#bigquery_tables_update/6","title":"GoogleApi.BigQuery.V2.Api.Tables.bigquery_tables_update/6","type":"function","doc":"Updates information in an existing table. The update method replaces the entire table resource, whereas the patch method only replaces fields that are provided in the submitted table resource. Parameters connection (type: GoogleApi.BigQuery.V2.Connection.t) - Connection to server project_id (type: String.t) - Project ID of the table to update dataset_id (type: String.t) - Dataset ID of the table to update table_id (type: String.t) - Table ID of the table to update optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :body (type: GoogleApi.BigQuery.V2.Model.Table.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.BigQuery.V2.Model.Table{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQuery.V2.Connection.html","title":"GoogleApi.BigQuery.V2.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.BigQuery.V2."},{"ref":"GoogleApi.BigQuery.V2.Connection.html#delete/3","title":"GoogleApi.BigQuery.V2.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#delete!/3","title":"GoogleApi.BigQuery.V2.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#execute/2","title":"GoogleApi.BigQuery.V2.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#get/3","title":"GoogleApi.BigQuery.V2.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#get!/3","title":"GoogleApi.BigQuery.V2.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#head/3","title":"GoogleApi.BigQuery.V2.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#head!/3","title":"GoogleApi.BigQuery.V2.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#new/0","title":"GoogleApi.BigQuery.V2.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#new/1","title":"GoogleApi.BigQuery.V2.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#options/3","title":"GoogleApi.BigQuery.V2.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#options!/3","title":"GoogleApi.BigQuery.V2.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#patch/4","title":"GoogleApi.BigQuery.V2.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#patch!/4","title":"GoogleApi.BigQuery.V2.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#post/4","title":"GoogleApi.BigQuery.V2.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#post!/4","title":"GoogleApi.BigQuery.V2.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#put/4","title":"GoogleApi.BigQuery.V2.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#put!/4","title":"GoogleApi.BigQuery.V2.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#request/2","title":"GoogleApi.BigQuery.V2.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#request!/2","title":"GoogleApi.BigQuery.V2.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.BigQuery.V2.Connection.html#trace/3","title":"GoogleApi.BigQuery.V2.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#trace!/3","title":"GoogleApi.BigQuery.V2.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQuery.V2.Connection.html#t:option/0","title":"GoogleApi.BigQuery.V2.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Connection.html#t:t/0","title":"GoogleApi.BigQuery.V2.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.html","title":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics","type":"module","doc":"Aggregate metrics for classification/classifier models. For multi-class models, the metrics are either macro-averaged or micro-averaged. When macro-averaged, the metrics are calculated for each label and then an unweighted average is taken of those values. When micro-averaged, the metric is calculated globally by counting the total number of correctly predicted rows. Attributes accuracy (type: float(), default: nil) - Accuracy is the fraction of predictions given the correct label. For multiclass this is a micro-averaged metric. f1Score (type: float(), default: nil) - The F1 score is an average of recall and precision. For multiclass this is a macro-averaged metric. logLoss (type: float(), default: nil) - Logarithmic Loss. For multiclass this is a macro-averaged metric. precision (type: float(), default: nil) - Precision is the fraction of actual positive predictions that had positive actual labels. For multiclass this is a macro-averaged metric treating each class as a binary classifier. recall (type: float(), default: nil) - Recall is the fraction of actual positive labels that were given a positive prediction. For multiclass this is a macro-averaged metric. rocAuc (type: float(), default: nil) - Area Under a ROC Curve. For multiclass this is a macro-averaged metric. threshold (type: float(), default: nil) - Threshold at which the metrics are computed. For binary classification models this is the positive class threshold. For multi-class classfication models this is the confidence threshold."},{"ref":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Argument.html","title":"GoogleApi.BigQuery.V2.Model.Argument","type":"module","doc":"Input/output argument of a function or a stored procedure. Attributes argumentKind (type: String.t, default: nil) - Optional. Defaults to FIXED_TYPE. dataType (type: GoogleApi.BigQuery.V2.Model.StandardSqlDataType.t, default: nil) - Required unless argument_kind = ANY_TYPE. mode (type: String.t, default: nil) - Optional. Specifies whether the argument is input or output. Can be set for procedures only. name (type: String.t, default: nil) - Optional. The name of this argument. Can be absent for function return argument."},{"ref":"GoogleApi.BigQuery.V2.Model.Argument.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Argument.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Argument.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Argument.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients.html","title":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients","type":"module","doc":"Arima coefficients. Attributes autoRegressiveCoefficients (type: list(float()), default: nil) - Auto-regressive coefficients, an array of double. interceptCoefficient (type: float(), default: nil) - Intercept coefficient, just a double not an array. movingAverageCoefficients (type: list(float()), default: nil) - Moving-average coefficients, an array of double."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ArimaCoefficients.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.html","title":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics","type":"module","doc":"ARIMA model fitting metrics. Attributes aic (type: float(), default: nil) - AIC logLikelihood (type: float(), default: nil) - log-likelihood variance (type: float(), default: nil) - variance."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo.html","title":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo","type":"module","doc":"Arima model information. Attributes arimaCoefficients (type: GoogleApi.BigQuery.V2.Model.ArimaCoefficients.t, default: nil) - Arima coefficients. arimaFittingMetrics (type: GoogleApi.BigQuery.V2.Model.ArimaFittingMetrics.t, default: nil) - Arima fitting metrics. nonSeasonalOrder (type: GoogleApi.BigQuery.V2.Model.ArimaOrder.t, default: nil) - Non-seasonal order."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ArimaModelInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaOrder.html","title":"GoogleApi.BigQuery.V2.Model.ArimaOrder","type":"module","doc":"Arima order, can be used for both non-seasonal and seasonal parts. Attributes d (type: String.t, default: nil) - Order of the differencing part. p (type: String.t, default: nil) - Order of the autoregressive part. q (type: String.t, default: nil) - Order of the moving-average part."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaOrder.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ArimaOrder.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaOrder.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ArimaOrder.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaResult.html","title":"GoogleApi.BigQuery.V2.Model.ArimaResult","type":"module","doc":"(Auto-)arima fitting result. Wrap everything in ArimaResult for easier refactoring if we want to use model-specific iteration results. Attributes arimaModelInfo (type: list(GoogleApi.BigQuery.V2.Model.ArimaModelInfo.t), default: nil) - This message is repeated because there are multiple arima models fitted in auto-arima. For non-auto-arima model, its size is one. seasonalPeriods (type: list(String.t), default: nil) - Seasonal periods. Repeated because multiple periods are supported for one time series."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaResult.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ArimaResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ArimaResult.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ArimaResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.html","title":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining","type":"module","doc":"Attributes currentIteration (type: integer(), default: nil) - [Output-only, Beta] Index of current ML training iteration. Updated during create model query job to show job progress. expectedTotalIterations (type: String.t, default: nil) - [Output-only, Beta] Expected number of iterations for the create model query job specified as num_iterations in the input query. The actual total number of iterations may be less than this number due to early stop."},{"ref":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumn.html","title":"GoogleApi.BigQuery.V2.Model.BigtableColumn","type":"module","doc":"Attributes encoding (type: String.t, default: nil) - [Optional] The encoding of the values when the type is not STRING. Acceptable encoding values are: TEXT - indicates values are alphanumeric text strings. BINARY - indicates values are encoded using HBase Bytes.toBytes family of functions. &#39;encoding&#39; can also be set at the column family level. However, the setting at this level takes precedence if &#39;encoding&#39; is set at both levels. fieldName (type: String.t, default: nil) - [Optional] If the qualifier is not a valid BigQuery field identifier i.e. does not match [a-zA-Z][a-zA-Z0-9_]*, a valid identifier must be provided as the column field name and is used as field name in queries. onlyReadLatest (type: boolean(), default: nil) - [Optional] If this is set, only the latest version of value in this column are exposed. &#39;onlyReadLatest&#39; can also be set at the column family level. However, the setting at this level takes precedence if &#39;onlyReadLatest&#39; is set at both levels. qualifierEncoded (type: String.t, default: nil) - [Required] Qualifier of the column. Columns in the parent column family that has this exact qualifier are exposed as . field. If the qualifier is valid UTF-8 string, it can be specified in the qualifierstring field. Otherwise, a base-64 encoded value must be set to qualifier_encoded. The column field name is the same as the column qualifier. However, if the qualifier is not a valid BigQuery field identifier i.e. does not match [a-zA-Z][a-zA-Z0-9]*, a valid identifier must be provided as field_name. qualifierString (type: String.t, default: nil) - type (type: String.t, default: nil) - [Optional] The type to convert the value in cells of this column. The values are expected to be encoded using HBase Bytes.toBytes function when using the BINARY encoding value. Following BigQuery types are allowed (case-sensitive) - BYTES STRING INTEGER FLOAT BOOLEAN Default type is BYTES. &#39;type&#39; can also be set at the column family level. However, the setting at this level takes precedence if &#39;type&#39; is set at both levels."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumn.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BigtableColumn.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumn.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BigtableColumn.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.html","title":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily","type":"module","doc":"Attributes columns (type: list(GoogleApi.BigQuery.V2.Model.BigtableColumn.t), default: nil) - [Optional] Lists of columns that should be exposed as individual fields as opposed to a list of (column name, value) pairs. All columns whose qualifier matches a qualifier in this list can be accessed as .. Other columns can be accessed as a list through .Column field. encoding (type: String.t, default: nil) - [Optional] The encoding of the values when the type is not STRING. Acceptable encoding values are: TEXT - indicates values are alphanumeric text strings. BINARY - indicates values are encoded using HBase Bytes.toBytes family of functions. This can be overridden for a specific column by listing that column in &#39;columns&#39; and specifying an encoding for it. familyId (type: String.t, default: nil) - Identifier of the column family. onlyReadLatest (type: boolean(), default: nil) - [Optional] If this is set only the latest version of value are exposed for all columns in this column family. This can be overridden for a specific column by listing that column in &#39;columns&#39; and specifying a different setting for that column. type (type: String.t, default: nil) - [Optional] The type to convert the value in cells of this column family. The values are expected to be encoded using HBase Bytes.toBytes function when using the BINARY encoding value. Following BigQuery types are allowed (case-sensitive) - BYTES STRING INTEGER FLOAT BOOLEAN Default type is BYTES. This can be overridden for a specific column by listing that column in &#39;columns&#39; and specifying a type for it."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableOptions.html","title":"GoogleApi.BigQuery.V2.Model.BigtableOptions","type":"module","doc":"Attributes columnFamilies (type: list(GoogleApi.BigQuery.V2.Model.BigtableColumnFamily.t), default: nil) - [Optional] List of column families to expose in the table schema along with their types. This list restricts the column families that can be referenced in queries and specifies their value types. You can use this list to do type conversions - see the &#39;type&#39; field for more details. If you leave this list empty, all column families are present in the table schema and their values are read as BYTES. During a query only the column families referenced in that query are read from Bigtable. ignoreUnspecifiedColumnFamilies (type: boolean(), default: nil) - [Optional] If field is true, then the column families that are not specified in columnFamilies list are not exposed in the table schema. Otherwise, they are read with BYTES type values. The default value is false. readRowkeyAsString (type: boolean(), default: nil) - [Optional] If field is true, then the rowkey column families will be read and converted to string. Otherwise they are read with BYTES type values and users need to manually cast them with CAST if necessary. The default value is false."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BigtableOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BigtableOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BigtableOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.html","title":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics","type":"module","doc":"Evaluation metrics for binary classification/classifier models. Attributes aggregateClassificationMetrics (type: GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.t, default: nil) - Aggregate classification metrics. binaryConfusionMatrixList (type: list(GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.t), default: nil) - Binary confusion matrix at multiple thresholds. negativeLabel (type: String.t, default: nil) - Label representing the negative class. positiveLabel (type: String.t, default: nil) - Label representing the positive class."},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.html","title":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix","type":"module","doc":"Confusion matrix for binary classification models. Attributes accuracy (type: float(), default: nil) - The fraction of predictions given the correct label. f1Score (type: float(), default: nil) - The equally weighted average of recall and precision. falseNegatives (type: String.t, default: nil) - Number of false samples predicted as false. falsePositives (type: String.t, default: nil) - Number of false samples predicted as true. positiveClassThreshold (type: float(), default: nil) - Threshold value used when computing each of the following metric. precision (type: float(), default: nil) - The fraction of actual positive predictions that had positive actual labels. recall (type: float(), default: nil) - The fraction of actual positive labels that were given a positive prediction. trueNegatives (type: String.t, default: nil) - Number of true samples predicted as false. truePositives (type: String.t, default: nil) - Number of true samples predicted as true."},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BinaryConfusionMatrix.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult.html","title":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult","type":"module","doc":"Attributes durationMs (type: String.t, default: nil) - [Output-only, Beta] Time taken to run the training iteration in milliseconds. evalLoss (type: float(), default: nil) - [Output-only, Beta] Eval loss computed on the eval data at the end of the iteration. The eval loss is used for early stopping to avoid overfitting. No eval loss if eval_split_method option is specified as no_split or auto_split with input data size less than 500 rows. index (type: integer(), default: nil) - [Output-only, Beta] Index of the ML training iteration, starting from zero for each training run. learnRate (type: float(), default: nil) - [Output-only, Beta] Learning rate used for this iteration, it varies for different training iterations if learn_rate_strategy option is not constant. trainingLoss (type: float(), default: nil) - [Output-only, Beta] Training loss computed on the training data at the end of the iteration. The training loss function is defined by model type."},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BqmlIterationResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.html","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun","type":"module","doc":"Attributes iterationResults (type: list(GoogleApi.BigQuery.V2.Model.BqmlIterationResult.t), default: nil) - [Output-only, Beta] List of each iteration results. startTime (type: DateTime.t, default: nil) - [Output-only, Beta] Training run start time in milliseconds since the epoch. state (type: String.t, default: nil) - [Output-only, Beta] Different state applicable for a training run. IN PROGRESS: Training run is in progress. FAILED: Training run ended due to a non-retryable failure. SUCCEEDED: Training run successfully completed. CANCELLED: Training run cancelled by the user. trainingOptions (type: GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.t, default: nil) - [Output-only, Beta] Training options used by this training run. These options are mutable for subsequent training runs. Default values are explicitly stored for options not specified in the input query of the first training run. For subsequent training runs, any option not explicitly specified in the input query will be copied from the previous training run."},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.html","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions","type":"module","doc":"[Output-only, Beta] Training options used by this training run. These options are mutable for subsequent training runs. Default values are explicitly stored for options not specified in the input query of the first training run. For subsequent training runs, any option not explicitly specified in the input query will be copied from the previous training run. Attributes earlyStop (type: boolean(), default: nil) - l1Reg (type: float(), default: nil) - l2Reg (type: float(), default: nil) - learnRate (type: float(), default: nil) - learnRateStrategy (type: String.t, default: nil) - lineSearchInitLearnRate (type: float(), default: nil) - maxIteration (type: String.t, default: nil) - minRelProgress (type: float(), default: nil) - warmStart (type: boolean(), default: nil) -"},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.BqmlTrainingRunTrainingOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.CategoricalValue.html","title":"GoogleApi.BigQuery.V2.Model.CategoricalValue","type":"module","doc":"Representative value of a categorical feature. Attributes categoryCounts (type: list(GoogleApi.BigQuery.V2.Model.CategoryCount.t), default: nil) - Counts of all categories for the categorical feature. If there are more than ten categories, we return top ten (by count) and return one more CategoryCount with category &quot;OTHER&quot; and count as aggregate counts of remaining categories."},{"ref":"GoogleApi.BigQuery.V2.Model.CategoricalValue.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.CategoricalValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.CategoricalValue.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.CategoricalValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.CategoryCount.html","title":"GoogleApi.BigQuery.V2.Model.CategoryCount","type":"module","doc":"Represents the count of a single category within the cluster. Attributes category (type: String.t, default: nil) - The name of category. count (type: String.t, default: nil) - The count of training samples matching the category within the cluster."},{"ref":"GoogleApi.BigQuery.V2.Model.CategoryCount.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.CategoryCount.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.CategoryCount.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.CategoryCount.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Cluster.html","title":"GoogleApi.BigQuery.V2.Model.Cluster","type":"module","doc":"Message containing the information about one cluster. Attributes centroidId (type: String.t, default: nil) - Centroid id. count (type: String.t, default: nil) - Count of training data rows that were assigned to this cluster. featureValues (type: list(GoogleApi.BigQuery.V2.Model.FeatureValue.t), default: nil) - Values of highly variant features for this cluster."},{"ref":"GoogleApi.BigQuery.V2.Model.Cluster.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Cluster.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Cluster.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Cluster.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ClusterInfo.html","title":"GoogleApi.BigQuery.V2.Model.ClusterInfo","type":"module","doc":"Information about a single cluster for clustering model. Attributes centroidId (type: String.t, default: nil) - Centroid id. clusterRadius (type: float(), default: nil) - Cluster radius, the average distance from centroid to each point assigned to the cluster. clusterSize (type: String.t, default: nil) - Cluster size, the total number of points assigned to the cluster."},{"ref":"GoogleApi.BigQuery.V2.Model.ClusterInfo.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ClusterInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ClusterInfo.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ClusterInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Clustering.html","title":"GoogleApi.BigQuery.V2.Model.Clustering","type":"module","doc":"Attributes fields (type: list(String.t), default: nil) - [Repeated] One or more fields on which data should be clustered. Only top-level, non-repeated, simple-type fields are supported. When you cluster a table using multiple columns, the order of columns you specify is important. The order of the specified columns determines the sort order of the data."},{"ref":"GoogleApi.BigQuery.V2.Model.Clustering.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Clustering.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Clustering.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Clustering.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics.html","title":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics","type":"module","doc":"Evaluation metrics for clustering models. Attributes clusters (type: list(GoogleApi.BigQuery.V2.Model.Cluster.t), default: nil) - [Beta] Information for all clusters. daviesBouldinIndex (type: float(), default: nil) - Davies-Bouldin index. meanSquaredDistance (type: float(), default: nil) - Mean of squared distances between each sample to its cluster centroid."},{"ref":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ClusteringMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix.html","title":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix","type":"module","doc":"Confusion matrix for multi-class classification models. Attributes confidenceThreshold (type: float(), default: nil) - Confidence threshold used when computing the entries of the confusion matrix. rows (type: list(GoogleApi.BigQuery.V2.Model.Row.t), default: nil) - One row per actual label."},{"ref":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ConfusionMatrix.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.CsvOptions.html","title":"GoogleApi.BigQuery.V2.Model.CsvOptions","type":"module","doc":"Attributes allowJaggedRows (type: boolean(), default: nil) - [Optional] Indicates if BigQuery should accept rows that are missing trailing optional columns. If true, BigQuery treats missing trailing columns as null values. If false, records with missing trailing columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. allowQuotedNewlines (type: boolean(), default: nil) - [Optional] Indicates if BigQuery should allow quoted data sections that contain newline characters in a CSV file. The default value is false. encoding (type: String.t, default: nil) - [Optional] The character encoding of the data. The supported values are UTF-8 or ISO-8859-1. The default value is UTF-8. BigQuery decodes the data after the raw, binary data has been split using the values of the quote and fieldDelimiter properties. fieldDelimiter (type: String.t, default: nil) - [Optional] The separator for fields in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. BigQuery also supports the escape sequence &quot;\\t&quot; to specify a tab separator. The default value is a comma (&#39;,&#39;). quote (type: String.t, default: &quot;) - [Optional] The value that is used to quote data sections in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. The default value is a double-quote (&#39;&quot;&#39;). If your data does not contain quoted sections, set the property value to an empty string. If your data contains quoted newline characters, you must also set the allowQuotedNewlines property to true. skipLeadingRows (type: String.t, default: nil) - [Optional] The number of rows at the top of a CSV file that BigQuery will skip when reading the data. The default value is 0. This property is useful if you have header rows in the file that should be skipped. When autodetect is on, the behavior is the following: skipLeadingRows unspecified - Autodetect tries to detect headers in the first row. If they are not detected, the row is read as data. Otherwise data is read starting from the second row. skipLeadingRows is 0 - Instructs autodetect that there are no headers and data should be read starting from the first row. * skipLeadingRows = N &gt; 0 - Autodetect skips N-1 rows and tries to detect headers in row N. If headers are not detected, row N is just skipped. Otherwise row N is used to extract column names for the detected schema."},{"ref":"GoogleApi.BigQuery.V2.Model.CsvOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.CsvOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.CsvOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.CsvOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DataSplitResult.html","title":"GoogleApi.BigQuery.V2.Model.DataSplitResult","type":"module","doc":"Data split result. This contains references to the training and evaluation data tables that were used to train the model. Attributes evaluationTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - Table reference of the evaluation data after split. trainingTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - Table reference of the training data after split."},{"ref":"GoogleApi.BigQuery.V2.Model.DataSplitResult.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DataSplitResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DataSplitResult.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DataSplitResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Dataset.html","title":"GoogleApi.BigQuery.V2.Model.Dataset","type":"module","doc":"Attributes access (type: list(GoogleApi.BigQuery.V2.Model.DatasetAccess.t), default: nil) - [Optional] An array of objects that define dataset access for one or more entities. You can set this property when inserting or updating a dataset in order to control who is allowed to access the data. If unspecified at dataset creation time, BigQuery adds default dataset access for the following entities: access.specialGroup: projectReaders; access.role: READER; access.specialGroup: projectWriters; access.role: WRITER; access.specialGroup: projectOwners; access.role: OWNER; access.userByEmail: [dataset creator email]; access.role: OWNER; creationTime (type: String.t, default: nil) - [Output-only] The time when this dataset was created, in milliseconds since the epoch. datasetReference (type: GoogleApi.BigQuery.V2.Model.DatasetReference.t, default: nil) - [Required] A reference that identifies the dataset. defaultEncryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - defaultPartitionExpirationMs (type: String.t, default: nil) - [Optional] The default partition expiration for all partitioned tables in the dataset, in milliseconds. Once this property is set, all newly-created partitioned tables in the dataset will have an expirationMs property in the timePartitioning settings set to this value, and changing the value will only affect new tables, not existing ones. The storage in a partition will have an expiration time of its partition time plus this value. Setting this property overrides the use of defaultTableExpirationMs for partitioned tables: only one of defaultTableExpirationMs and defaultPartitionExpirationMs will be used for any new partitioned table. If you provide an explicit timePartitioning.expirationMs when creating or updating a partitioned table, that value takes precedence over the default partition expiration time indicated by this property. defaultTableExpirationMs (type: String.t, default: nil) - [Optional] The default lifetime of all tables in the dataset, in milliseconds. The minimum value is 3600000 milliseconds (one hour). Once this property is set, all newly-created tables in the dataset will have an expirationTime property set to the creation time plus the value in this property, and changing the value will only affect new tables, not existing ones. When the expirationTime for a given table is reached, that table will be deleted automatically. If a table&#39;s expirationTime is modified or removed before the table expires, or if you provide an explicit expirationTime when creating a table, that value takes precedence over the default expiration time indicated by this property. description (type: String.t, default: nil) - [Optional] A user-friendly description of the dataset. etag (type: String.t, default: nil) - [Output-only] A hash of the resource. friendlyName (type: String.t, default: nil) - [Optional] A descriptive name for the dataset. id (type: String.t, default: nil) - [Output-only] The fully-qualified unique name of the dataset in the format projectId:datasetId. The dataset name without the project name is given in the datasetId field. When creating a new dataset, leave this field blank, and instead specify the datasetId field. kind (type: String.t, default: bigquery#dataset) - [Output-only] The resource type. labels (type: map(), default: nil) - The labels associated with this dataset. You can use these to organize and group your datasets. You can set this property when inserting or updating a dataset. See Creating and Updating Dataset Labels for more information. lastModifiedTime (type: String.t, default: nil) - [Output-only] The date when this dataset or any of its tables was last modified, in milliseconds since the epoch. location (type: String.t, default: nil) - The geographic location where the dataset should reside. The default value is US. See details at https://cloud.google.com/bigquery/docs/locations. selfLink (type: String.t, default: nil) - [Output-only] A URL that can be used to access the resource again. You can use this URL in Get or Update requests to the resource."},{"ref":"GoogleApi.BigQuery.V2.Model.Dataset.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Dataset.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Dataset.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Dataset.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetAccess.html","title":"GoogleApi.BigQuery.V2.Model.DatasetAccess","type":"module","doc":"Attributes domain (type: String.t, default: nil) - [Pick one] A domain to grant access to. Any users signed in with the domain specified will be granted the specified access. Example: &quot;example.com&quot;. Maps to IAM policy member &quot;domain:DOMAIN&quot;. groupByEmail (type: String.t, default: nil) - [Pick one] An email address of a Google Group to grant access to. Maps to IAM policy member &quot;group:GROUP&quot;. iamMember (type: String.t, default: nil) - [Pick one] Some other type of member that appears in the IAM Policy but isn&#39;t a user, group, domain, or special group. role (type: String.t, default: nil) - [Required] An IAM role ID that should be granted to the user, group, or domain specified in this access entry. The following legacy mappings will be applied: OWNER roles/bigquery.dataOwner WRITER roles/bigquery.dataEditor READER roles/bigquery.dataViewer This field will accept any of the above formats, but will return only the legacy format. For example, if you set this field to &quot;roles/bigquery.dataOwner&quot;, it will be returned back as &quot;OWNER&quot;. specialGroup (type: String.t, default: nil) - [Pick one] A special group to grant access to. Possible values include: projectOwners: Owners of the enclosing project. projectReaders: Readers of the enclosing project. projectWriters: Writers of the enclosing project. allAuthenticatedUsers: All authenticated BigQuery users. Maps to similarly-named IAM members. userByEmail (type: String.t, default: nil) - [Pick one] An email address of a user to grant access to. For example: fred@example.com. Maps to IAM policy member &quot;user:EMAIL&quot; or &quot;serviceAccount:EMAIL&quot;. view (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Pick one] A view from a different dataset to grant access to. Queries executed against that view will have read access to tables in this dataset. The role field is not required when this field is set. If that view is updated by any user, access to the view needs to be granted again via an update operation."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetAccess.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DatasetAccess.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetAccess.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DatasetAccess.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetList.html","title":"GoogleApi.BigQuery.V2.Model.DatasetList","type":"module","doc":"Attributes datasets (type: list(GoogleApi.BigQuery.V2.Model.DatasetListDatasets.t), default: nil) - An array of the dataset resources in the project. Each resource contains basic information. For full information about a particular dataset resource, use the Datasets: get method. This property is omitted when there are no datasets in the project. etag (type: String.t, default: nil) - A hash value of the results page. You can use this property to determine if the page has changed since the last request. kind (type: String.t, default: bigquery#datasetList) - The list type. This property always returns the value &quot;bigquery#datasetList&quot;. nextPageToken (type: String.t, default: nil) - A token that can be used to request the next results page. This property is omitted on the final results page."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetList.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DatasetList.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetList.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DatasetList.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets.html","title":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets","type":"module","doc":"Attributes datasetReference (type: GoogleApi.BigQuery.V2.Model.DatasetReference.t, default: nil) - The dataset reference. Use this property to access specific parts of the dataset&#39;s ID, such as project ID or dataset ID. friendlyName (type: String.t, default: nil) - A descriptive name for the dataset, if one exists. id (type: String.t, default: nil) - The fully-qualified, unique, opaque ID of the dataset. kind (type: String.t, default: bigquery#dataset) - The resource type. This property always returns the value &quot;bigquery#dataset&quot;. labels (type: map(), default: nil) - The labels associated with this dataset. You can use these to organize and group your datasets. location (type: String.t, default: nil) - The geographic location where the data resides."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DatasetListDatasets.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetReference.html","title":"GoogleApi.BigQuery.V2.Model.DatasetReference","type":"module","doc":"Attributes datasetId (type: String.t, default: nil) - [Required] A unique ID for this dataset, without the project name. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters. projectId (type: String.t, default: nil) - [Optional] The ID of the project containing this dataset."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DatasetReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DatasetReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DatasetReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties.html","title":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties","type":"module","doc":"Attributes description (type: String.t, default: nil) - [Optional] The description for the destination table. This will only be used if the destination table is newly created. If the table already exists and a value different than the current description is provided, the job will fail. friendlyName (type: String.t, default: nil) - [Optional] The friendly name for the destination table. This will only be used if the destination table is newly created. If the table already exists and a value different than the current friendly name is provided, the job will fail. labels (type: map(), default: nil) - [Optional] The labels associated with this table. You can use these to organize and group your tables. This will only be used if the destination table is newly created. If the table already exists and labels are different than the current labels are provided, the job will fail."},{"ref":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.DestinationTableProperties.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.html","title":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration","type":"module","doc":"Attributes kmsKeyName (type: String.t, default: nil) - [Optional] Describes the Cloud KMS encryption key that will be used to protect destination BigQuery table. The BigQuery Service Account associated with your project requires access to this encryption key."},{"ref":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Entry.html","title":"GoogleApi.BigQuery.V2.Model.Entry","type":"module","doc":"A single entry in the confusion matrix. Attributes itemCount (type: String.t, default: nil) - Number of items being predicted as this label. predictedLabel (type: String.t, default: nil) - The predicted label. For confidence_threshold &gt; 0, we will also add an entry indicating the number of items under the confidence threshold."},{"ref":"GoogleApi.BigQuery.V2.Model.Entry.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Entry.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Entry.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Entry.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ErrorProto.html","title":"GoogleApi.BigQuery.V2.Model.ErrorProto","type":"module","doc":"Attributes debugInfo (type: String.t, default: nil) - Debugging information. This property is internal to Google and should not be used. location (type: String.t, default: nil) - Specifies where the error occurred, if present. message (type: String.t, default: nil) - A human-readable description of the error. reason (type: String.t, default: nil) - A short error code that summarizes the error."},{"ref":"GoogleApi.BigQuery.V2.Model.ErrorProto.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ErrorProto.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ErrorProto.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ErrorProto.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics.html","title":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics","type":"module","doc":"Evaluation metrics of a model. These are either computed on all training data or just the eval data based on whether eval data was used during training. These are not present for imported models. Attributes binaryClassificationMetrics (type: GoogleApi.BigQuery.V2.Model.BinaryClassificationMetrics.t, default: nil) - Populated for binary classification/classifier models. clusteringMetrics (type: GoogleApi.BigQuery.V2.Model.ClusteringMetrics.t, default: nil) - Populated for clustering models. multiClassClassificationMetrics (type: GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.t, default: nil) - Populated for multi-class classification/classifier models. regressionMetrics (type: GoogleApi.BigQuery.V2.Model.RegressionMetrics.t, default: nil) - Populated for regression models and explicit feedback type matrix factorization models."},{"ref":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.EvaluationMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage.html","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage","type":"module","doc":"Attributes completedParallelInputs (type: String.t, default: nil) - Number of parallel input segments completed. computeMsAvg (type: String.t, default: nil) - Milliseconds the average shard spent on CPU-bound tasks. computeMsMax (type: String.t, default: nil) - Milliseconds the slowest shard spent on CPU-bound tasks. computeRatioAvg (type: float(), default: nil) - Relative amount of time the average shard spent on CPU-bound tasks. computeRatioMax (type: float(), default: nil) - Relative amount of time the slowest shard spent on CPU-bound tasks. endMs (type: String.t, default: nil) - Stage end time represented as milliseconds since epoch. id (type: String.t, default: nil) - Unique ID for stage within plan. inputStages (type: list(String.t), default: nil) - IDs for stages that are inputs to this stage. name (type: String.t, default: nil) - Human-readable name for stage. parallelInputs (type: String.t, default: nil) - Number of parallel input segments to be processed. readMsAvg (type: String.t, default: nil) - Milliseconds the average shard spent reading input. readMsMax (type: String.t, default: nil) - Milliseconds the slowest shard spent reading input. readRatioAvg (type: float(), default: nil) - Relative amount of time the average shard spent reading input. readRatioMax (type: float(), default: nil) - Relative amount of time the slowest shard spent reading input. recordsRead (type: String.t, default: nil) - Number of records read into the stage. recordsWritten (type: String.t, default: nil) - Number of records written by the stage. shuffleOutputBytes (type: String.t, default: nil) - Total number of bytes written to shuffle. shuffleOutputBytesSpilled (type: String.t, default: nil) - Total number of bytes written to shuffle and spilled to disk. startMs (type: String.t, default: nil) - Stage start time represented as milliseconds since epoch. status (type: String.t, default: nil) - Current status for the stage. steps (type: list(GoogleApi.BigQuery.V2.Model.ExplainQueryStep.t), default: nil) - List of operations within the stage in dependency order (approximately chronological). waitMsAvg (type: String.t, default: nil) - Milliseconds the average shard spent waiting to be scheduled. waitMsMax (type: String.t, default: nil) - Milliseconds the slowest shard spent waiting to be scheduled. waitRatioAvg (type: float(), default: nil) - Relative amount of time the average shard spent waiting to be scheduled. waitRatioMax (type: float(), default: nil) - Relative amount of time the slowest shard spent waiting to be scheduled. writeMsAvg (type: String.t, default: nil) - Milliseconds the average shard spent on writing output. writeMsMax (type: String.t, default: nil) - Milliseconds the slowest shard spent on writing output. writeRatioAvg (type: float(), default: nil) - Relative amount of time the average shard spent on writing output. writeRatioMax (type: float(), default: nil) - Relative amount of time the slowest shard spent on writing output."},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStage.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep.html","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep","type":"module","doc":"Attributes kind (type: String.t, default: nil) - Machine-readable operation type. substeps (type: list(String.t), default: nil) - Human-readable stage descriptions."},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ExplainQueryStep.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.html","title":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration","type":"module","doc":"Attributes autodetect (type: boolean(), default: nil) - Try to detect schema and format options automatically. Any option specified explicitly will be honored. bigtableOptions (type: GoogleApi.BigQuery.V2.Model.BigtableOptions.t, default: nil) - [Optional] Additional options if sourceFormat is set to BIGTABLE. compression (type: String.t, default: nil) - [Optional] The compression type of the data source. Possible values include GZIP and NONE. The default value is NONE. This setting is ignored for Google Cloud Bigtable, Google Cloud Datastore backups and Avro formats. csvOptions (type: GoogleApi.BigQuery.V2.Model.CsvOptions.t, default: nil) - Additional properties to set if sourceFormat is set to CSV. googleSheetsOptions (type: GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.t, default: nil) - [Optional] Additional options if sourceFormat is set to GOOGLE_SHEETS. hivePartitioningMode (type: String.t, default: nil) - [Optional, Trusted Tester] Deprecated, do not use. Please set hivePartitioningOptions instead. hivePartitioningOptions (type: GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.t, default: nil) - [Optional, Trusted Tester] Options to configure hive partitioning support. ignoreUnknownValues (type: boolean(), default: nil) - [Optional] Indicates if BigQuery should allow extra values that are not represented in the table schema. If true, the extra values are ignored. If false, records with extra columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. The sourceFormat property determines what BigQuery treats as an extra value: CSV: Trailing columns JSON: Named values that don&#39;t match any column names Google Cloud Bigtable: This setting is ignored. Google Cloud Datastore backups: This setting is ignored. Avro: This setting is ignored. maxBadRecords (type: integer(), default: nil) - [Optional] The maximum number of bad records that BigQuery can ignore when reading data. If the number of bad records exceeds this value, an invalid error is returned in the job result. This is only valid for CSV, JSON, and Google Sheets. The default value is 0, which requires that all records are valid. This setting is ignored for Google Cloud Bigtable, Google Cloud Datastore backups and Avro formats. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - [Optional] The schema for the data. Schema is required for CSV and JSON formats. Schema is disallowed for Google Cloud Bigtable, Cloud Datastore backups, and Avro formats. sourceFormat (type: String.t, default: nil) - [Required] The data format. For CSV files, specify &quot;CSV&quot;. For Google sheets, specify &quot;GOOGLE_SHEETS&quot;. For newline-delimited JSON, specify &quot;NEWLINE_DELIMITED_JSON&quot;. For Avro files, specify &quot;AVRO&quot;. For Google Cloud Datastore backups, specify &quot;DATASTORE_BACKUP&quot;. [Beta] For Google Cloud Bigtable, specify &quot;BIGTABLE&quot;. sourceUris (type: list(String.t), default: nil) - [Required] The fully-qualified URIs that point to your data in Google Cloud. For Google Cloud Storage URIs: Each URI can contain one &#39;&#39; wildcard character and it must come after the &#39;bucket&#39; name. Size limits related to load jobs apply to external data sources. For Google Cloud Bigtable URIs: Exactly one URI can be specified and it has be a fully specified and valid HTTPS URL for a Google Cloud Bigtable table. For Google Cloud Datastore backups, exactly one URI can be specified. Also, the &#39;&#39; wildcard character is not allowed."},{"ref":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.FeatureValue.html","title":"GoogleApi.BigQuery.V2.Model.FeatureValue","type":"module","doc":"Representative value of a single feature within the cluster. Attributes categoricalValue (type: GoogleApi.BigQuery.V2.Model.CategoricalValue.t, default: nil) - The categorical feature value. featureColumn (type: String.t, default: nil) - The feature column name. numericalValue (type: float(), default: nil) - The numerical feature value. This is the centroid value for this feature."},{"ref":"GoogleApi.BigQuery.V2.Model.FeatureValue.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.FeatureValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.FeatureValue.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.FeatureValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse.html","title":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse","type":"module","doc":"Attributes cacheHit (type: boolean(), default: nil) - Whether the query result was fetched from the query cache. errors (type: list(GoogleApi.BigQuery.V2.Model.ErrorProto.t), default: nil) - [Output-only] The first errors or warnings encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful. etag (type: String.t, default: nil) - A hash of this response. jobComplete (type: boolean(), default: nil) - Whether the query has completed or not. If rows or totalRows are present, this will always be true. If this is false, totalRows will not be available. jobReference (type: GoogleApi.BigQuery.V2.Model.JobReference.t, default: nil) - Reference to the BigQuery Job that was created to run the query. This field will be present even if the original request timed out, in which case GetQueryResults can be used to read the results once the query has completed. Since this API only returns the first page of results, subsequent pages can be fetched via the same mechanism (GetQueryResults). kind (type: String.t, default: bigquery#getQueryResultsResponse) - The resource type of the response. numDmlAffectedRows (type: String.t, default: nil) - [Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE. pageToken (type: String.t, default: nil) - A token used for paging results. rows (type: list(GoogleApi.BigQuery.V2.Model.TableRow.t), default: nil) - An object with as many results as can be contained within the maximum permitted reply size. To get any additional rows, you can call GetQueryResults and specify the jobReference returned above. Present only when the query completes successfully. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - The schema of the results. Present only when the query completes successfully. totalBytesProcessed (type: String.t, default: nil) - The total number of bytes processed for this query. totalRows (type: String.t, default: nil) - The total number of rows in the complete query result set, which can be more than the number of rows in this single page of results. Present only when the query completes successfully."},{"ref":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.GetQueryResultsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse.html","title":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse","type":"module","doc":"Attributes email (type: String.t, default: nil) - The service account email address. kind (type: String.t, default: bigquery#getServiceAccountResponse) - The resource type of the response."},{"ref":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.GetServiceAccountResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.html","title":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions","type":"module","doc":"Attributes range (type: String.t, default: nil) - [Optional] Range of a sheet to query from. Only used when non-empty. Typical format: sheet_name!top_left_cell_id:bottom_right_cell_id For example: sheet1!A1:B20 skipLeadingRows (type: String.t, default: nil) - [Optional] The number of rows at the top of a sheet that BigQuery will skip when reading the data. The default value is 0. This property is useful if you have header rows that should be skipped. When autodetect is on, behavior is the following: skipLeadingRows unspecified - Autodetect tries to detect headers in the first row. If they are not detected, the row is read as data. Otherwise data is read starting from the second row. skipLeadingRows is 0 - Instructs autodetect that there are no headers and data should be read starting from the first row. * skipLeadingRows = N &gt; 0 - Autodetect skips N-1 rows and tries to detect headers in row N. If headers are not detected, row N is just skipped. Otherwise row N is used to extract column names for the detected schema."},{"ref":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.GoogleSheetsOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.html","title":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions","type":"module","doc":"Attributes mode (type: String.t, default: nil) - [Optional, Trusted Tester] When set, what mode of hive partitioning to use when reading data. Two modes are supported. (1) AUTO: automatically infer partition key name(s) and type(s). (2) STRINGS: automatically infer partition key name(s). All types are interpreted as strings. Not all storage formats support hive partitioning. Requesting hive partitioning on an unsupported format will lead to an error. Currently supported types include: AVRO, CSV, JSON, ORC and Parquet. sourceUriPrefix (type: String.t, default: nil) - [Optional, Trusted Tester] When hive partition detection is requested, a common prefix for all source uris should be supplied. The prefix must end immediately before the partition key encoding begins. For example, consider files following this data layout. gs://bucket/path_to_table/dt=2019-01-01/country=BR/id=7/file.avro gs://bucket/path_to_table/dt=2018-12-31/country=CA/id=3/file.avro When hive partitioning is requested with either AUTO or STRINGS detection, the common prefix can be either of gs://bucket/path_to_table or gs://bucket/path_to_table/ (trailing slash does not matter)."},{"ref":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.IterationResult.html","title":"GoogleApi.BigQuery.V2.Model.IterationResult","type":"module","doc":"Information about a single iteration of the training run. Attributes arimaResult (type: GoogleApi.BigQuery.V2.Model.ArimaResult.t, default: nil) - clusterInfos (type: list(GoogleApi.BigQuery.V2.Model.ClusterInfo.t), default: nil) - Information about top clusters for clustering models. durationMs (type: String.t, default: nil) - Time taken to run the iteration in milliseconds. evalLoss (type: float(), default: nil) - Loss computed on the eval data at the end of iteration. index (type: integer(), default: nil) - Index of the iteration, 0 based. learnRate (type: float(), default: nil) - Learn rate used for this iteration. trainingLoss (type: float(), default: nil) - Loss computed on the training data at the end of iteration."},{"ref":"GoogleApi.BigQuery.V2.Model.IterationResult.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.IterationResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.IterationResult.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.IterationResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Job.html","title":"GoogleApi.BigQuery.V2.Model.Job","type":"module","doc":"Attributes configuration (type: GoogleApi.BigQuery.V2.Model.JobConfiguration.t, default: nil) - [Required] Describes the job configuration. etag (type: String.t, default: nil) - [Output-only] A hash of this resource. id (type: String.t, default: nil) - [Output-only] Opaque ID field of the job jobReference (type: GoogleApi.BigQuery.V2.Model.JobReference.t, default: nil) - [Optional] Reference describing the unique-per-user name of the job. kind (type: String.t, default: bigquery#job) - [Output-only] The type of the resource. selfLink (type: String.t, default: nil) - [Output-only] A URL that can be used to access this resource again. statistics (type: GoogleApi.BigQuery.V2.Model.JobStatistics.t, default: nil) - [Output-only] Information about the job, including starting time and ending time of the job. status (type: GoogleApi.BigQuery.V2.Model.JobStatus.t, default: nil) - [Output-only] The status of this job. Examine this value when polling an asynchronous job to see if the job is complete. user_email (type: String.t, default: nil) - [Output-only] Email address of the user who ran the job."},{"ref":"GoogleApi.BigQuery.V2.Model.Job.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Job.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Job.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Job.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobCancelResponse.html","title":"GoogleApi.BigQuery.V2.Model.JobCancelResponse","type":"module","doc":"Attributes job (type: GoogleApi.BigQuery.V2.Model.Job.t, default: nil) - The final state of the job. kind (type: String.t, default: bigquery#jobCancelResponse) - The resource type of the response."},{"ref":"GoogleApi.BigQuery.V2.Model.JobCancelResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobCancelResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobCancelResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobCancelResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfiguration.html","title":"GoogleApi.BigQuery.V2.Model.JobConfiguration","type":"module","doc":"Attributes copy (type: GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.t, default: nil) - [Pick one] Copies a table. dryRun (type: boolean(), default: nil) - [Optional] If set, don&#39;t actually run this job. A valid query will return a mostly empty response with some processing statistics, while an invalid query will return the same error it would if it wasn&#39;t a dry run. Behavior of non-query jobs is undefined. extract (type: GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.t, default: nil) - [Pick one] Configures an extract job. jobTimeoutMs (type: String.t, default: nil) - [Optional] Job timeout in milliseconds. If this time limit is exceeded, BigQuery may attempt to terminate the job. jobType (type: String.t, default: nil) - [Output-only] The type of the job. Can be QUERY, LOAD, EXTRACT, COPY or UNKNOWN. labels (type: map(), default: nil) - The labels associated with this job. You can use these to organize and group your jobs. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key. load (type: GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.t, default: nil) - [Pick one] Configures a load job. query (type: GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.t, default: nil) - [Pick one] Configures a query job."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfiguration.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobConfiguration.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfiguration.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobConfiguration.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.html","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract","type":"module","doc":"Attributes compression (type: String.t, default: nil) - [Optional] The compression type to use for exported files. Possible values include GZIP, DEFLATE, SNAPPY, and NONE. The default value is NONE. DEFLATE and SNAPPY are only supported for Avro. destinationFormat (type: String.t, default: nil) - [Optional] The exported file format. Possible values include CSV, NEWLINE_DELIMITED_JSON and AVRO. The default value is CSV. Tables with nested or repeated fields cannot be exported as CSV. destinationUri (type: String.t, default: nil) - [Pick one] DEPRECATED: Use destinationUris instead, passing only one URI as necessary. The fully-qualified Google Cloud Storage URI where the extracted table should be written. destinationUris (type: list(String.t), default: nil) - [Pick one] A list of fully-qualified Google Cloud Storage URIs where the extracted table should be written. fieldDelimiter (type: String.t, default: nil) - [Optional] Delimiter to use between fields in the exported data. Default is &#39;,&#39; printHeader (type: boolean(), default: true) - [Optional] Whether to print out a header row in the results. Default is true. sourceModel (type: GoogleApi.BigQuery.V2.Model.ModelReference.t, default: nil) - A reference to the model being exported. sourceTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - A reference to the table being exported. useAvroLogicalTypes (type: boolean(), default: nil) - [Optional] If destinationFormat is set to &quot;AVRO&quot;, this flag indicates whether to enable extracting applicable column types (such as TIMESTAMP) to their corresponding AVRO logical types (timestamp-micros), instead of only using their raw types (avro-long)."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationExtract.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.html","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad","type":"module","doc":"Attributes allowJaggedRows (type: boolean(), default: nil) - [Optional] Accept rows that are missing trailing optional columns. The missing values are treated as nulls. If false, records with missing trailing columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. Only applicable to CSV, ignored for other formats. allowQuotedNewlines (type: boolean(), default: nil) - Indicates if BigQuery should allow quoted data sections that contain newline characters in a CSV file. The default value is false. autodetect (type: boolean(), default: nil) - [Optional] Indicates if we should automatically infer the options and schema for CSV and JSON sources. clustering (type: GoogleApi.BigQuery.V2.Model.Clustering.t, default: nil) - [Beta] Clustering specification for the destination table. Must be specified with time-based partitioning, data in the table will be first partitioned and subsequently clustered. createDisposition (type: String.t, default: nil) - [Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a &#39;notFound&#39; error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion. destinationEncryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - Custom encryption configuration (e.g., Cloud KMS keys). destinationTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Required] The destination table to load the data into. destinationTableProperties (type: GoogleApi.BigQuery.V2.Model.DestinationTableProperties.t, default: nil) - [Beta] [Optional] Properties with which to create the destination table if it is new. encoding (type: String.t, default: nil) - [Optional] The character encoding of the data. The supported values are UTF-8 or ISO-8859-1. The default value is UTF-8. BigQuery decodes the data after the raw, binary data has been split using the values of the quote and fieldDelimiter properties. fieldDelimiter (type: String.t, default: nil) - [Optional] The separator for fields in a CSV file. The separator can be any ISO-8859-1 single-byte character. To use a character in the range 128-255, you must encode the character as UTF8. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. BigQuery also supports the escape sequence &quot;\\t&quot; to specify a tab separator. The default value is a comma (&#39;,&#39;). hivePartitioningMode (type: String.t, default: nil) - [Optional, Trusted Tester] Deprecated, do not use. Please set hivePartitioningOptions instead. hivePartitioningOptions (type: GoogleApi.BigQuery.V2.Model.HivePartitioningOptions.t, default: nil) - [Optional, Trusted Tester] Options to configure hive partitioning support. ignoreUnknownValues (type: boolean(), default: nil) - [Optional] Indicates if BigQuery should allow extra values that are not represented in the table schema. If true, the extra values are ignored. If false, records with extra columns are treated as bad records, and if there are too many bad records, an invalid error is returned in the job result. The default value is false. The sourceFormat property determines what BigQuery treats as an extra value: CSV: Trailing columns JSON: Named values that don&#39;t match any column names maxBadRecords (type: integer(), default: nil) - [Optional] The maximum number of bad records that BigQuery can ignore when running the job. If the number of bad records exceeds this value, an invalid error is returned in the job result. This is only valid for CSV and JSON. The default value is 0, which requires that all records are valid. nullMarker (type: String.t, default: nil) - [Optional] Specifies a string that represents a null value in a CSV file. For example, if you specify &quot;\\N&quot;, BigQuery interprets &quot;\\N&quot; as a null value when loading a CSV file. The default value is the empty string. If you set this property to a custom value, BigQuery throws an error if an empty string is present for all data types except for STRING and BYTE. For STRING and BYTE columns, BigQuery interprets the empty string as an empty value. projectionFields (type: list(String.t), default: nil) - If sourceFormat is set to &quot;DATASTORE_BACKUP&quot;, indicates which entity properties to load into BigQuery from a Cloud Datastore backup. Property names are case sensitive and must be top-level properties. If no properties are specified, BigQuery loads all properties. If any named property isn&#39;t found in the Cloud Datastore backup, an invalid error is returned in the job result. quote (type: String.t, default: &quot;) - [Optional] The value that is used to quote data sections in a CSV file. BigQuery converts the string to ISO-8859-1 encoding, and then uses the first byte of the encoded string to split the data in its raw, binary state. The default value is a double-quote (&#39;&quot;&#39;). If your data does not contain quoted sections, set the property value to an empty string. If your data contains quoted newline characters, you must also set the allowQuotedNewlines property to true. rangePartitioning (type: GoogleApi.BigQuery.V2.Model.RangePartitioning.t, default: nil) - [TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - [Optional] The schema for the destination table. The schema can be omitted if the destination table already exists, or if you&#39;re loading data from Google Cloud Datastore. schemaInline (type: String.t, default: nil) - [Deprecated] The inline schema. For CSV schemas, specify as &quot;Field1:Type1[,Field2:Type2]*&quot;. For example, &quot;foo:STRING, bar:INTEGER, baz:FLOAT&quot;. schemaInlineFormat (type: String.t, default: nil) - [Deprecated] The format of the schemaInline property. schemaUpdateOptions (type: list(String.t), default: nil) - Allows the schema of the destination table to be updated as a side effect of the load job if a schema is autodetected or supplied in the job configuration. Schema update options are supported in two cases: when writeDisposition is WRITE_APPEND; when writeDisposition is WRITE_TRUNCATE and the destination table is a partition of a table, specified by partition decorators. For normal tables, WRITE_TRUNCATE will always overwrite the schema. One or more of the following values are specified: ALLOW_FIELD_ADDITION: allow adding a nullable field to the schema. ALLOW_FIELD_RELAXATION: allow relaxing a required field in the original schema to nullable. skipLeadingRows (type: integer(), default: nil) - [Optional] The number of rows at the top of a CSV file that BigQuery will skip when loading the data. The default value is 0. This property is useful if you have header rows in the file that should be skipped. sourceFormat (type: String.t, default: nil) - [Optional] The format of the data files. For CSV files, specify &quot;CSV&quot;. For datastore backups, specify &quot;DATASTORE_BACKUP&quot;. For newline-delimited JSON, specify &quot;NEWLINE_DELIMITED_JSON&quot;. For Avro, specify &quot;AVRO&quot;. For parquet, specify &quot;PARQUET&quot;. For orc, specify &quot;ORC&quot;. The default value is CSV. sourceUris (type: list(String.t), default: nil) - [Required] The fully-qualified URIs that point to your data in Google Cloud. For Google Cloud Storage URIs: Each URI can contain one &#39;&#39; wildcard character and it must come after the &#39;bucket&#39; name. Size limits related to load jobs apply to external data sources. For Google Cloud Bigtable URIs: Exactly one URI can be specified and it has be a fully specified and valid HTTPS URL for a Google Cloud Bigtable table. For Google Cloud Datastore backups: Exactly one URI can be specified. Also, the &#39;&#39; wildcard character is not allowed. timePartitioning (type: GoogleApi.BigQuery.V2.Model.TimePartitioning.t, default: nil) - Time-based partitioning specification for the destination table. Only one of timePartitioning and rangePartitioning should be specified. useAvroLogicalTypes (type: boolean(), default: nil) - [Optional] If sourceFormat is set to &quot;AVRO&quot;, indicates whether to enable interpreting logical types into their corresponding types (ie. TIMESTAMP), instead of only using their raw types (ie. INTEGER). writeDisposition (type: String.t, default: nil) - [Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a &#39;duplicate&#39; error is returned in the job result. The default value is WRITE_APPEND. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationLoad.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.html","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery","type":"module","doc":"Attributes allowLargeResults (type: boolean(), default: false) - [Optional] If true and query uses legacy SQL dialect, allows the query to produce arbitrarily large result tables at a slight cost in performance. Requires destinationTable to be set. For standard SQL queries, this flag is ignored and large results are always allowed. However, you must still set destinationTable when result size exceeds the allowed maximum response size. clustering (type: GoogleApi.BigQuery.V2.Model.Clustering.t, default: nil) - [Beta] Clustering specification for the destination table. Must be specified with time-based partitioning, data in the table will be first partitioned and subsequently clustered. createDisposition (type: String.t, default: nil) - [Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a &#39;notFound&#39; error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion. defaultDataset (type: GoogleApi.BigQuery.V2.Model.DatasetReference.t, default: nil) - [Optional] Specifies the default dataset to use for unqualified table names in the query. Note that this does not alter behavior of unqualified dataset names. destinationEncryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - Custom encryption configuration (e.g., Cloud KMS keys). destinationTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Optional] Describes the table where the query results should be stored. If not present, a new table will be created to store the results. This property must be set for large results that exceed the maximum response size. flattenResults (type: boolean(), default: true) - [Optional] If true and query uses legacy SQL dialect, flattens all nested and repeated fields in the query results. allowLargeResults must be true if this is set to false. For standard SQL queries, this flag is ignored and results are never flattened. maximumBillingTier (type: integer(), default: 1) - [Optional] Limits the billing tier for this job. Queries that have resource usage beyond this tier will fail (without incurring a charge). If unspecified, this will be set to your project default. maximumBytesBilled (type: String.t, default: nil) - [Optional] Limits the bytes billed for this job. Queries that will have bytes billed beyond this limit will fail (without incurring a charge). If unspecified, this will be set to your project default. parameterMode (type: String.t, default: nil) - Standard SQL only. Set to POSITIONAL to use positional (?) query parameters or to NAMED to use named (@myparam) query parameters in this query. preserveNulls (type: boolean(), default: nil) - [Deprecated] This property is deprecated. priority (type: String.t, default: nil) - [Optional] Specifies a priority for the query. Possible values include INTERACTIVE and BATCH. The default value is INTERACTIVE. query (type: String.t, default: nil) - [Required] SQL query text to execute. The useLegacySql field can be used to indicate whether the query uses legacy SQL or standard SQL. queryParameters (type: list(GoogleApi.BigQuery.V2.Model.QueryParameter.t), default: nil) - Query parameters for standard SQL queries. rangePartitioning (type: GoogleApi.BigQuery.V2.Model.RangePartitioning.t, default: nil) - [TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified. schemaUpdateOptions (type: list(String.t), default: nil) - Allows the schema of the destination table to be updated as a side effect of the query job. Schema update options are supported in two cases: when writeDisposition is WRITE_APPEND; when writeDisposition is WRITE_TRUNCATE and the destination table is a partition of a table, specified by partition decorators. For normal tables, WRITE_TRUNCATE will always overwrite the schema. One or more of the following values are specified: ALLOW_FIELD_ADDITION: allow adding a nullable field to the schema. ALLOW_FIELD_RELAXATION: allow relaxing a required field in the original schema to nullable. tableDefinitions (type: %{optional(String.t) =&gt; GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.t}, default: nil) - [Optional] If querying an external data source outside of BigQuery, describes the data format, location and other properties of the data source. By defining these properties, the data source can then be queried as if it were a standard BigQuery table. timePartitioning (type: GoogleApi.BigQuery.V2.Model.TimePartitioning.t, default: nil) - Time-based partitioning specification for the destination table. Only one of timePartitioning and rangePartitioning should be specified. useLegacySql (type: boolean(), default: true) - Specifies whether to use BigQuery&#39;s legacy SQL dialect for this query. The default value is true. If set to false, the query will use BigQuery&#39;s standard SQL: https://cloud.google.com/bigquery/sql-reference/ When useLegacySql is set to false, the value of flattenResults is ignored; query will be run as if flattenResults is false. useQueryCache (type: boolean(), default: true) - [Optional] Whether to look for the result in the query cache. The query cache is a best-effort cache that will be flushed whenever tables in the query are modified. Moreover, the query cache is only available when a query does not have a destination table specified. The default value is true. userDefinedFunctionResources (type: list(GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.t), default: nil) - Describes user-defined function resources used in the query. writeDisposition (type: String.t, default: nil) - [Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data and uses the schema from the query result. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a &#39;duplicate&#39; error is returned in the job result. The default value is WRITE_EMPTY. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationQuery.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.html","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy","type":"module","doc":"Attributes createDisposition (type: String.t, default: nil) - [Optional] Specifies whether the job is allowed to create new tables. The following values are supported: CREATE_IF_NEEDED: If the table does not exist, BigQuery creates the table. CREATE_NEVER: The table must already exist. If it does not, a &#39;notFound&#39; error is returned in the job result. The default value is CREATE_IF_NEEDED. Creation, truncation and append actions occur as one atomic update upon job completion. destinationEncryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - Custom encryption configuration (e.g., Cloud KMS keys). destinationTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Required] The destination table sourceTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Pick one] Source table to copy. sourceTables (type: list(GoogleApi.BigQuery.V2.Model.TableReference.t), default: nil) - [Pick one] Source tables to copy. writeDisposition (type: String.t, default: nil) - [Optional] Specifies the action that occurs if the destination table already exists. The following values are supported: WRITE_TRUNCATE: If the table already exists, BigQuery overwrites the table data. WRITE_APPEND: If the table already exists, BigQuery appends the data to the table. WRITE_EMPTY: If the table already exists and contains data, a &#39;duplicate&#39; error is returned in the job result. The default value is WRITE_EMPTY. Each action is atomic and only occurs if BigQuery is able to complete the job successfully. Creation, truncation and append actions occur as one atomic update upon job completion."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobConfigurationTableCopy.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobList.html","title":"GoogleApi.BigQuery.V2.Model.JobList","type":"module","doc":"Attributes etag (type: String.t, default: nil) - A hash of this page of results. jobs (type: list(GoogleApi.BigQuery.V2.Model.JobListJobs.t), default: nil) - List of jobs that were requested. kind (type: String.t, default: bigquery#jobList) - The resource type of the response. nextPageToken (type: String.t, default: nil) - A token to request the next page of results."},{"ref":"GoogleApi.BigQuery.V2.Model.JobList.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobList.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobList.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobList.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobListJobs.html","title":"GoogleApi.BigQuery.V2.Model.JobListJobs","type":"module","doc":"Attributes configuration (type: GoogleApi.BigQuery.V2.Model.JobConfiguration.t, default: nil) - [Full-projection-only] Specifies the job configuration. errorResult (type: GoogleApi.BigQuery.V2.Model.ErrorProto.t, default: nil) - A result object that will be present only if the job has failed. id (type: String.t, default: nil) - Unique opaque ID of the job. jobReference (type: GoogleApi.BigQuery.V2.Model.JobReference.t, default: nil) - Job reference uniquely identifying the job. kind (type: String.t, default: bigquery#job) - The resource type. state (type: String.t, default: nil) - Running state of the job. When the state is DONE, errorResult can be checked to determine whether the job succeeded or failed. statistics (type: GoogleApi.BigQuery.V2.Model.JobStatistics.t, default: nil) - [Output-only] Information about the job, including starting time and ending time of the job. status (type: GoogleApi.BigQuery.V2.Model.JobStatus.t, default: nil) - [Full-projection-only] Describes the state of the job. user_email (type: String.t, default: nil) - [Full-projection-only] Email address of the user who ran the job."},{"ref":"GoogleApi.BigQuery.V2.Model.JobListJobs.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobListJobs.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobListJobs.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobListJobs.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobReference.html","title":"GoogleApi.BigQuery.V2.Model.JobReference","type":"module","doc":"Attributes jobId (type: String.t, default: nil) - [Required] The ID of the job. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), or dashes (-). The maximum length is 1,024 characters. location (type: String.t, default: nil) - The geographic location of the job. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location. projectId (type: String.t, default: nil) - [Required] The ID of the project containing this job."},{"ref":"GoogleApi.BigQuery.V2.Model.JobReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics.html","title":"GoogleApi.BigQuery.V2.Model.JobStatistics","type":"module","doc":"Attributes completionRatio (type: float(), default: nil) - [TrustedTester] [Output-only] Job progress (0.0 -&gt; 1.0) for LOAD and EXTRACT jobs. creationTime (type: String.t, default: nil) - [Output-only] Creation time of this job, in milliseconds since the epoch. This field will be present on all jobs. endTime (type: String.t, default: nil) - [Output-only] End time of this job, in milliseconds since the epoch. This field will be present whenever a job is in the DONE state. extract (type: GoogleApi.BigQuery.V2.Model.JobStatistics4.t, default: nil) - [Output-only] Statistics for an extract job. load (type: GoogleApi.BigQuery.V2.Model.JobStatistics3.t, default: nil) - [Output-only] Statistics for a load job. numChildJobs (type: String.t, default: nil) - [Output-only] Number of child jobs executed. parentJobId (type: String.t, default: nil) - [Output-only] If this is a child job, the id of the parent. query (type: GoogleApi.BigQuery.V2.Model.JobStatistics2.t, default: nil) - [Output-only] Statistics for a query job. quotaDeferments (type: list(String.t), default: nil) - [Output-only] Quotas which delayed this job&#39;s start time. reservationUsage (type: list(GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.t), default: nil) - [Output-only] Job resource usage breakdown by reservation. reservation_id (type: String.t, default: nil) - [Output-only] Name of the primary reservation assigned to this job. Note that this could be different than reservations reported in the reservation usage field if parent reservations were used to execute this job. scriptStatistics (type: GoogleApi.BigQuery.V2.Model.ScriptStatistics.t, default: nil) - [Output-only] Statistics for a child job of a script. startTime (type: String.t, default: nil) - [Output-only] Start time of this job, in milliseconds since the epoch. This field will be present when the job transitions from the PENDING state to either RUNNING or DONE. totalBytesProcessed (type: String.t, default: nil) - [Output-only] [Deprecated] Use the bytes processed in the query statistics instead. totalSlotMs (type: String.t, default: nil) - [Output-only] Slot-milliseconds for the job."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatistics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatistics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2.html","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2","type":"module","doc":"Attributes billingTier (type: integer(), default: nil) - [Output-only] Billing tier for the job. cacheHit (type: boolean(), default: nil) - [Output-only] Whether the query result was fetched from the query cache. ddlOperationPerformed (type: String.t, default: nil) - The DDL operation performed, possibly dependent on the pre-existence of the DDL target. Possible values (new values might be added in the future): &quot;CREATE&quot;: The query created the DDL target. &quot;SKIP&quot;: No-op. Example cases: the query is CREATE TABLE IF NOT EXISTS while the table already exists, or the query is DROP TABLE IF EXISTS while the table does not exist. &quot;REPLACE&quot;: The query replaced the DDL target. Example case: the query is CREATE OR REPLACE TABLE, and the table already exists. &quot;DROP&quot;: The query deleted the DDL target. ddlTargetRoutine (type: GoogleApi.BigQuery.V2.Model.RoutineReference.t, default: nil) - The DDL target routine. Present only for CREATE/DROP FUNCTION/PROCEDURE queries. ddlTargetTable (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - The DDL target table. Present only for CREATE/DROP TABLE/VIEW queries. estimatedBytesProcessed (type: String.t, default: nil) - [Output-only] The original estimate of bytes processed for the job. modelTraining (type: GoogleApi.BigQuery.V2.Model.BigQueryModelTraining.t, default: nil) - [Output-only, Beta] Information about create model query job progress. modelTrainingCurrentIteration (type: integer(), default: nil) - [Output-only, Beta] Deprecated; do not use. modelTrainingExpectedTotalIteration (type: String.t, default: nil) - [Output-only, Beta] Deprecated; do not use. numDmlAffectedRows (type: String.t, default: nil) - [Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE. queryPlan (type: list(GoogleApi.BigQuery.V2.Model.ExplainQueryStage.t), default: nil) - [Output-only] Describes execution plan for the query. referencedRoutines (type: list(GoogleApi.BigQuery.V2.Model.RoutineReference.t), default: nil) - [Output-only] Referenced routines (persistent user-defined functions and stored procedures) for the job. referencedTables (type: list(GoogleApi.BigQuery.V2.Model.TableReference.t), default: nil) - [Output-only] Referenced tables for the job. Queries that reference more than 50 tables will not have a complete list. reservationUsage (type: list(GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.t), default: nil) - [Output-only] Job resource usage breakdown by reservation. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - [Output-only] The schema of the results. Present only for successful dry run of non-legacy SQL queries. statementType (type: String.t, default: nil) - The type of query statement, if valid. Possible values (new values might be added in the future): &quot;SELECT&quot;: SELECT query. &quot;INSERT&quot;: INSERT query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. &quot;UPDATE&quot;: UPDATE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. &quot;DELETE&quot;: DELETE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. &quot;MERGE&quot;: MERGE query; see https://cloud.google.com/bigquery/docs/reference/standard-sql/data-manipulation-language. &quot;ALTER_TABLE&quot;: ALTER TABLE query. &quot;ALTER_VIEW&quot;: ALTER VIEW query. &quot;ASSERT&quot;: ASSERT condition AS &#39;description&#39;. &quot;CREATE_FUNCTION&quot;: CREATE FUNCTION query. &quot;CREATE_MODEL&quot;: CREATE [OR REPLACE] MODEL ... AS SELECT ... . &quot;CREATE_PROCEDURE&quot;: CREATE PROCEDURE query. &quot;CREATE_TABLE&quot;: CREATE [OR REPLACE] TABLE without AS SELECT. &quot;CREATE_TABLE_AS_SELECT&quot;: CREATE [OR REPLACE] TABLE ... AS SELECT ... . &quot;CREATE_VIEW&quot;: CREATE [OR REPLACE] VIEW ... AS SELECT ... . &quot;DROP_FUNCTION&quot; : DROP FUNCTION query. &quot;DROP_PROCEDURE&quot;: DROP PROCEDURE query. &quot;DROP_TABLE&quot;: DROP TABLE query. &quot;DROP_VIEW&quot;: DROP VIEW query. timeline (type: list(GoogleApi.BigQuery.V2.Model.QueryTimelineSample.t), default: nil) - [Output-only] [Beta] Describes a timeline of job execution. totalBytesBilled (type: String.t, default: nil) - [Output-only] Total bytes billed for the job. totalBytesProcessed (type: String.t, default: nil) - [Output-only] Total bytes processed for the job. totalBytesProcessedAccuracy (type: String.t, default: nil) - [Output-only] For dry-run jobs, totalBytesProcessed is an estimate and this field specifies the accuracy of the estimate. Possible values can be: UNKNOWN: accuracy of the estimate is unknown. PRECISE: estimate is precise. LOWER_BOUND: estimate is lower bound of what the query would cost. UPPER_BOUND: estimate is upper bound of what the query would cost. totalPartitionsProcessed (type: String.t, default: nil) - [Output-only] Total number of partitions processed from all partitioned tables referenced in the job. totalSlotMs (type: String.t, default: nil) - [Output-only] Slot-milliseconds for the job. undeclaredQueryParameters (type: list(GoogleApi.BigQuery.V2.Model.QueryParameter.t), default: nil) - Standard SQL only: list of undeclared query parameters detected during a dry run validation."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.html","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage","type":"module","doc":"Attributes name (type: String.t, default: nil) - [Output-only] Reservation name or &quot;unreserved&quot; for on-demand resources usage. slotMs (type: String.t, default: nil) - [Output-only] Slot-milliseconds the job spent in the given reservation."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatistics2ReservationUsage.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics3.html","title":"GoogleApi.BigQuery.V2.Model.JobStatistics3","type":"module","doc":"Attributes badRecords (type: String.t, default: nil) - [Output-only] The number of bad records encountered. Note that if the job has failed because of more bad records encountered than the maximum allowed in the load job configuration, then this number can be less than the total number of bad records present in the input data. inputFileBytes (type: String.t, default: nil) - [Output-only] Number of bytes of source data in a load job. inputFiles (type: String.t, default: nil) - [Output-only] Number of source files in a load job. outputBytes (type: String.t, default: nil) - [Output-only] Size of the loaded data in bytes. Note that while a load job is in the running state, this value may change. outputRows (type: String.t, default: nil) - [Output-only] Number of rows imported in a load job. Note that while an import job is in the running state, this value may change."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics3.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatistics3.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics3.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatistics3.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics4.html","title":"GoogleApi.BigQuery.V2.Model.JobStatistics4","type":"module","doc":"Attributes destinationUriFileCounts (type: list(String.t), default: nil) - [Output-only] Number of files per destination URI or URI pattern specified in the extract configuration. These values will be in the same order as the URIs specified in the &#39;destinationUris&#39; field. inputBytes (type: String.t, default: nil) - [Output-only] Number of user bytes extracted into the result. This is the byte count as computed by BigQuery for billing purposes."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics4.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatistics4.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatistics4.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatistics4.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.html","title":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage","type":"module","doc":"Attributes name (type: String.t, default: nil) - [Output-only] Reservation name or &quot;unreserved&quot; for on-demand resources usage. slotMs (type: String.t, default: nil) - [Output-only] Slot-milliseconds the job spent in the given reservation."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatisticsReservationUsage.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatus.html","title":"GoogleApi.BigQuery.V2.Model.JobStatus","type":"module","doc":"Attributes errorResult (type: GoogleApi.BigQuery.V2.Model.ErrorProto.t, default: nil) - [Output-only] Final error result of the job. If present, indicates that the job has completed and was unsuccessful. errors (type: list(GoogleApi.BigQuery.V2.Model.ErrorProto.t), default: nil) - [Output-only] The first errors encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful. state (type: String.t, default: nil) - [Output-only] Running state of the job."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatus.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.JobStatus.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.JobStatus.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.JobStatus.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ListModelsResponse.html","title":"GoogleApi.BigQuery.V2.Model.ListModelsResponse","type":"module","doc":"Attributes models (type: list(GoogleApi.BigQuery.V2.Model.Model.t), default: nil) - Models in the requested dataset. Only the following fields are populated: model_reference, model_type, creation_time, last_modified_time and labels. nextPageToken (type: String.t, default: nil) - A token to request the next page of results."},{"ref":"GoogleApi.BigQuery.V2.Model.ListModelsResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ListModelsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ListModelsResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ListModelsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse.html","title":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse","type":"module","doc":"Attributes nextPageToken (type: String.t, default: nil) - A token to request the next page of results. routines (type: list(GoogleApi.BigQuery.V2.Model.Routine.t), default: nil) - Routines in the requested dataset. Only the following fields are populated: etag, project_id, dataset_id, routine_id, routine_type, creation_time, last_modified_time, language."},{"ref":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ListRoutinesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.LocationMetadata.html","title":"GoogleApi.BigQuery.V2.Model.LocationMetadata","type":"module","doc":"BigQuery-specific metadata about a location. This will be set on google.cloud.location.Location.metadata in Cloud Location API responses. Attributes legacyLocationId (type: String.t, default: nil) - The legacy BigQuery location ID, e.g. “EU” for the “europe” location. This is for any API consumers that need the legacy “US” and “EU” locations."},{"ref":"GoogleApi.BigQuery.V2.Model.LocationMetadata.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.LocationMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.LocationMetadata.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.LocationMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.html","title":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition","type":"module","doc":"Attributes lastRefreshTime (type: String.t, default: nil) - [Output-only] [TrustedTester] The time when this materialized view was last modified, in milliseconds since the epoch. query (type: String.t, default: nil) - [Required] A query whose result is persisted."},{"ref":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Model.html","title":"GoogleApi.BigQuery.V2.Model.Model","type":"module","doc":"Attributes creationTime (type: String.t, default: nil) - Output only. The time when this model was created, in millisecs since the epoch. description (type: String.t, default: nil) - Optional. A user-friendly description of this model. encryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - Custom encryption configuration (e.g., Cloud KMS keys). This shows the encryption configuration of the model data while stored in BigQuery storage. etag (type: String.t, default: nil) - Output only. A hash of this resource. expirationTime (type: String.t, default: nil) - Optional. The time when this model expires, in milliseconds since the epoch. If not present, the model will persist indefinitely. Expired models will be deleted and their storage reclaimed. The defaultTableExpirationMs property of the encapsulating dataset can be used to set a default expirationTime on newly created models. featureColumns (type: list(GoogleApi.BigQuery.V2.Model.StandardSqlField.t), default: nil) - Output only. Input feature columns that were used to train this model. friendlyName (type: String.t, default: nil) - Optional. A descriptive name for this model. labelColumns (type: list(GoogleApi.BigQuery.V2.Model.StandardSqlField.t), default: nil) - Output only. Label columns that were used to train this model. The output of the model will have a &quot;predicted_&quot; prefix to these columns. labels (type: map(), default: nil) - The labels associated with this model. You can use these to organize and group your models. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key. lastModifiedTime (type: String.t, default: nil) - Output only. The time when this model was last modified, in millisecs since the epoch. location (type: String.t, default: nil) - Output only. The geographic location where the model resides. This value is inherited from the dataset. modelReference (type: GoogleApi.BigQuery.V2.Model.ModelReference.t, default: nil) - Required. Unique identifier for this model. modelType (type: String.t, default: nil) - Output only. Type of the model resource. trainingRuns (type: list(GoogleApi.BigQuery.V2.Model.TrainingRun.t), default: nil) - Output only. Information for all training runs in increasing order of start_time."},{"ref":"GoogleApi.BigQuery.V2.Model.Model.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Model.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Model.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Model.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinition.html","title":"GoogleApi.BigQuery.V2.Model.ModelDefinition","type":"module","doc":"Attributes modelOptions (type: GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.t, default: nil) - [Output-only, Beta] Model options used for the first training run. These options are immutable for subsequent training runs. Default values are used for any options not specified in the input query. trainingRuns (type: list(GoogleApi.BigQuery.V2.Model.BqmlTrainingRun.t), default: nil) - [Output-only, Beta] Information about ml training runs, each training run comprises of multiple iterations and there may be multiple training runs for the model if warm start is used or if a user decides to continue a previously cancelled query."},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinition.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ModelDefinition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinition.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ModelDefinition.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.html","title":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions","type":"module","doc":"[Output-only, Beta] Model options used for the first training run. These options are immutable for subsequent training runs. Default values are used for any options not specified in the input query. Attributes labels (type: list(String.t), default: nil) - lossType (type: String.t, default: nil) - modelType (type: String.t, default: nil) -"},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ModelDefinitionModelOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ModelReference.html","title":"GoogleApi.BigQuery.V2.Model.ModelReference","type":"module","doc":"Attributes datasetId (type: String.t, default: nil) - [Required] The ID of the dataset containing this model. modelId (type: String.t, default: nil) - [Required] The ID of the model. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters. projectId (type: String.t, default: nil) - [Required] The ID of the project containing this model."},{"ref":"GoogleApi.BigQuery.V2.Model.ModelReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ModelReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ModelReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ModelReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.html","title":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics","type":"module","doc":"Evaluation metrics for multi-class classification/classifier models. Attributes aggregateClassificationMetrics (type: GoogleApi.BigQuery.V2.Model.AggregateClassificationMetrics.t, default: nil) - Aggregate classification metrics. confusionMatrixList (type: list(GoogleApi.BigQuery.V2.Model.ConfusionMatrix.t), default: nil) - Confusion matrix at different thresholds."},{"ref":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.MultiClassClassificationMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectList.html","title":"GoogleApi.BigQuery.V2.Model.ProjectList","type":"module","doc":"Attributes etag (type: String.t, default: nil) - A hash of the page of results kind (type: String.t, default: bigquery#projectList) - The type of list. nextPageToken (type: String.t, default: nil) - A token to request the next page of results. projects (type: list(GoogleApi.BigQuery.V2.Model.ProjectListProjects.t), default: nil) - Projects to which you have at least READ access. totalItems (type: integer(), default: nil) - The total number of projects in the list."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectList.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ProjectList.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectList.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ProjectList.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectListProjects.html","title":"GoogleApi.BigQuery.V2.Model.ProjectListProjects","type":"module","doc":"Attributes friendlyName (type: String.t, default: nil) - A descriptive name for this project. id (type: String.t, default: nil) - An opaque ID of this project. kind (type: String.t, default: bigquery#project) - The resource type. numericId (type: String.t, default: nil) - The numeric ID of this project. projectReference (type: GoogleApi.BigQuery.V2.Model.ProjectReference.t, default: nil) - A unique reference to this project."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectListProjects.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ProjectListProjects.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectListProjects.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ProjectListProjects.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectReference.html","title":"GoogleApi.BigQuery.V2.Model.ProjectReference","type":"module","doc":"Attributes projectId (type: String.t, default: nil) - [Required] ID of the project. Can be either the numeric ID or the assigned ID of the project."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ProjectReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ProjectReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ProjectReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameter.html","title":"GoogleApi.BigQuery.V2.Model.QueryParameter","type":"module","doc":"Attributes name (type: String.t, default: nil) - [Optional] If unset, this is a positional parameter. Otherwise, should be unique within a query. parameterType (type: GoogleApi.BigQuery.V2.Model.QueryParameterType.t, default: nil) - [Required] The type of this parameter. parameterValue (type: GoogleApi.BigQuery.V2.Model.QueryParameterValue.t, default: nil) - [Required] The value of this parameter."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameter.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryParameter.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameter.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryParameter.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterType.html","title":"GoogleApi.BigQuery.V2.Model.QueryParameterType","type":"module","doc":"Attributes arrayType (type: GoogleApi.BigQuery.V2.Model.QueryParameterType.t, default: nil) - [Optional] The type of the array&#39;s elements, if this is an array. structTypes (type: list(GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.t), default: nil) - [Optional] The types of the fields of this struct, in order, if this is a struct. type (type: String.t, default: nil) - [Required] The top level type of this field."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterType.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryParameterType.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterType.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryParameterType.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.html","title":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes","type":"module","doc":"Attributes description (type: String.t, default: nil) - [Optional] Human-oriented description of the field. name (type: String.t, default: nil) - [Optional] The name of this field. type (type: GoogleApi.BigQuery.V2.Model.QueryParameterType.t, default: nil) - [Required] The type of this field."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryParameterTypeStructTypes.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterValue.html","title":"GoogleApi.BigQuery.V2.Model.QueryParameterValue","type":"module","doc":"Attributes arrayValues (type: list(GoogleApi.BigQuery.V2.Model.QueryParameterValue.t), default: nil) - [Optional] The array values, if this is an array type. structValues (type: %{optional(String.t) =&gt; GoogleApi.BigQuery.V2.Model.QueryParameterValue.t}, default: nil) - [Optional] The struct field values, in order of the struct type&#39;s declaration. value (type: String.t, default: nil) - [Optional] The value of this value, if a simple scalar type."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterValue.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryParameterValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryParameterValue.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryParameterValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryRequest.html","title":"GoogleApi.BigQuery.V2.Model.QueryRequest","type":"module","doc":"Attributes defaultDataset (type: GoogleApi.BigQuery.V2.Model.DatasetReference.t, default: nil) - [Optional] Specifies the default datasetId and projectId to assume for any unqualified table names in the query. If not set, all table names in the query string must be qualified in the format &#39;datasetId.tableId&#39;. dryRun (type: boolean(), default: nil) - [Optional] If set to true, BigQuery doesn&#39;t run the job. Instead, if the query is valid, BigQuery returns statistics about the job such as how many bytes would be processed. If the query is invalid, an error returns. The default value is false. kind (type: String.t, default: bigquery#queryRequest) - The resource type of the request. location (type: String.t, default: nil) - The geographic location where the job should run. See details at https://cloud.google.com/bigquery/docs/locations#specifying_your_location. maxResults (type: integer(), default: nil) - [Optional] The maximum number of rows of data to return per page of results. Setting this flag to a small value such as 1000 and then paging through results might improve reliability when the query result set is large. In addition to this limit, responses are also limited to 10 MB. By default, there is no maximum row count, and only the byte limit applies. parameterMode (type: String.t, default: nil) - Standard SQL only. Set to POSITIONAL to use positional (?) query parameters or to NAMED to use named (@myparam) query parameters in this query. preserveNulls (type: boolean(), default: nil) - [Deprecated] This property is deprecated. query (type: String.t, default: nil) - [Required] A query string, following the BigQuery query syntax, of the query to execute. Example: &quot;SELECT count(f1) FROM [myProjectId:myDatasetId.myTableId]&quot;. queryParameters (type: list(GoogleApi.BigQuery.V2.Model.QueryParameter.t), default: nil) - Query parameters for Standard SQL queries. timeoutMs (type: integer(), default: nil) - [Optional] How long to wait for the query to complete, in milliseconds, before the request times out and returns. Note that this is only a timeout for the request, not the query. If the query takes longer to run than the timeout value, the call returns without any results and with the &#39;jobComplete&#39; flag set to false. You can call GetQueryResults() to wait for the query to complete and read the results. The default value is 10000 milliseconds (10 seconds). useLegacySql (type: boolean(), default: true) - Specifies whether to use BigQuery&#39;s legacy SQL dialect for this query. The default value is true. If set to false, the query will use BigQuery&#39;s standard SQL: https://cloud.google.com/bigquery/sql-reference/ When useLegacySql is set to false, the value of flattenResults is ignored; query will be run as if flattenResults is false. useQueryCache (type: boolean(), default: true) - [Optional] Whether to look for the result in the query cache. The query cache is a best-effort cache that will be flushed whenever tables in the query are modified. The default value is true."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryRequest.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryRequest.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryResponse.html","title":"GoogleApi.BigQuery.V2.Model.QueryResponse","type":"module","doc":"Attributes cacheHit (type: boolean(), default: nil) - Whether the query result was fetched from the query cache. errors (type: list(GoogleApi.BigQuery.V2.Model.ErrorProto.t), default: nil) - [Output-only] The first errors or warnings encountered during the running of the job. The final message includes the number of errors that caused the process to stop. Errors here do not necessarily mean that the job has completed or was unsuccessful. jobComplete (type: boolean(), default: nil) - Whether the query has completed or not. If rows or totalRows are present, this will always be true. If this is false, totalRows will not be available. jobReference (type: GoogleApi.BigQuery.V2.Model.JobReference.t, default: nil) - Reference to the Job that was created to run the query. This field will be present even if the original request timed out, in which case GetQueryResults can be used to read the results once the query has completed. Since this API only returns the first page of results, subsequent pages can be fetched via the same mechanism (GetQueryResults). kind (type: String.t, default: bigquery#queryResponse) - The resource type. numDmlAffectedRows (type: String.t, default: nil) - [Output-only] The number of rows affected by a DML statement. Present only for DML statements INSERT, UPDATE or DELETE. pageToken (type: String.t, default: nil) - A token used for paging results. rows (type: list(GoogleApi.BigQuery.V2.Model.TableRow.t), default: nil) - An object with as many results as can be contained within the maximum permitted reply size. To get any additional rows, you can call GetQueryResults and specify the jobReference returned above. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - The schema of the results. Present only when the query completes successfully. totalBytesProcessed (type: String.t, default: nil) - The total number of bytes processed for this query. If this query was a dry run, this is the number of bytes that would be processed if the query were run. totalRows (type: String.t, default: nil) - The total number of rows in the complete query result set, which can be more than the number of rows in this single page of results."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample.html","title":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample","type":"module","doc":"Attributes activeUnits (type: String.t, default: nil) - Total number of units currently being processed by workers. This does not correspond directly to slot usage. This is the largest value observed since the last sample. completedUnits (type: String.t, default: nil) - Total parallel units of work completed by this query. elapsedMs (type: String.t, default: nil) - Milliseconds elapsed since the start of query execution. pendingUnits (type: String.t, default: nil) - Total parallel units of work remaining for the active stages. totalSlotMs (type: String.t, default: nil) - Cumulative slot-ms consumed by the query."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.QueryTimelineSample.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioning.html","title":"GoogleApi.BigQuery.V2.Model.RangePartitioning","type":"module","doc":"Attributes field (type: String.t, default: nil) - [TrustedTester] [Required] The table is partitioned by this field. The field must be a top-level NULLABLE/REQUIRED field. The only supported type is INTEGER/INT64. range (type: GoogleApi.BigQuery.V2.Model.RangePartitioningRange.t, default: nil) - [TrustedTester] [Required] Defines the ranges for range partitioning."},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioning.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.RangePartitioning.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioning.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.RangePartitioning.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange.html","title":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange","type":"module","doc":"[TrustedTester] [Required] Defines the ranges for range partitioning. Attributes end (type: String.t, default: nil) - [TrustedTester] [Required] The end of range partitioning, exclusive. interval (type: String.t, default: nil) - [TrustedTester] [Required] The width of each interval. start (type: String.t, default: nil) - [TrustedTester] [Required] The start of range partitioning, inclusive."},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.RangePartitioningRange.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.RegressionMetrics.html","title":"GoogleApi.BigQuery.V2.Model.RegressionMetrics","type":"module","doc":"Evaluation metrics for regression and explicit feedback type matrix factorization models. Attributes meanAbsoluteError (type: float(), default: nil) - Mean absolute error. meanSquaredError (type: float(), default: nil) - Mean squared error. meanSquaredLogError (type: float(), default: nil) - Mean squared log error. medianAbsoluteError (type: float(), default: nil) - Median absolute error. rSquared (type: float(), default: nil) - R^2 score."},{"ref":"GoogleApi.BigQuery.V2.Model.RegressionMetrics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.RegressionMetrics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.RegressionMetrics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.RegressionMetrics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Routine.html","title":"GoogleApi.BigQuery.V2.Model.Routine","type":"module","doc":"A user-defined function or a stored procedure. Attributes arguments (type: list(GoogleApi.BigQuery.V2.Model.Argument.t), default: nil) - Optional. creationTime (type: String.t, default: nil) - Output only. The time when this routine was created, in milliseconds since the epoch. definitionBody (type: String.t, default: nil) - Required. The body of the routine. For functions, this is the expression in the AS clause. If language=SQL, it is the substring inside (but excluding) the parentheses. For example, for the function created with the following statement: CREATE FUNCTION JoinLines(x string, y string) as (concat(x, &quot;\\n&quot;, y)) The definition_body is concat(x, &quot;\\n&quot;, y) (\\n is not replaced with linebreak). If language=JAVASCRIPT, it is the evaluated string in the AS clause. For example, for the function created with the following statement: CREATE FUNCTION f() RETURNS STRING LANGUAGE js AS &#39;return &quot;\\n&quot;;\\n&#39; The definition_body is return &quot;\\n&quot;;\\n Note that both \\n are replaced with linebreaks. description (type: String.t, default: nil) - Optional. [Experimental] The description of the routine if defined. etag (type: String.t, default: nil) - Output only. A hash of this resource. importedLibraries (type: list(String.t), default: nil) - Optional. If language = &quot;JAVASCRIPT&quot;, this field stores the path of the imported JAVASCRIPT libraries. language (type: String.t, default: nil) - Optional. Defaults to &quot;SQL&quot;. lastModifiedTime (type: String.t, default: nil) - Output only. The time when this routine was last modified, in milliseconds since the epoch. returnType (type: GoogleApi.BigQuery.V2.Model.StandardSqlDataType.t, default: nil) - Optional if language = &quot;SQL&quot;; required otherwise. If absent, the return type is inferred from definition_body at query time in each query that references this routine. If present, then the evaluated result will be cast to the specified returned type at query time. For example, for the functions created with the following statements: CREATE FUNCTION Add(x FLOAT64, y FLOAT64) RETURNS FLOAT64 AS (x + y); CREATE FUNCTION Increment(x FLOAT64) AS (Add(x, 1)); CREATE FUNCTION Decrement(x FLOAT64) RETURNS FLOAT64 AS (Add(x, -1)); The return_type is {type_kind: &quot;FLOAT64&quot;} for Add and Decrement, and is absent for Increment (inferred as FLOAT64 at query time). Suppose the function Add is replaced by CREATE OR REPLACE FUNCTION Add(x INT64, y INT64) AS (x + y); Then the inferred return type of Increment is automatically changed to INT64 at query time, while the return type of Decrement remains FLOAT64. routineReference (type: GoogleApi.BigQuery.V2.Model.RoutineReference.t, default: nil) - Required. Reference describing the ID of this routine. routineType (type: String.t, default: nil) - Required. The type of routine."},{"ref":"GoogleApi.BigQuery.V2.Model.Routine.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Routine.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Routine.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Routine.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.RoutineReference.html","title":"GoogleApi.BigQuery.V2.Model.RoutineReference","type":"module","doc":"Attributes datasetId (type: String.t, default: nil) - [Required] The ID of the dataset containing this routine. projectId (type: String.t, default: nil) - [Required] The ID of the project containing this routine. routineId (type: String.t, default: nil) - [Required] The ID of the routine. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 256 characters."},{"ref":"GoogleApi.BigQuery.V2.Model.RoutineReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.RoutineReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.RoutineReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.RoutineReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Row.html","title":"GoogleApi.BigQuery.V2.Model.Row","type":"module","doc":"A single row in the confusion matrix. Attributes actualLabel (type: String.t, default: nil) - The original label of this row. entries (type: list(GoogleApi.BigQuery.V2.Model.Entry.t), default: nil) - Info describing predicted label distribution."},{"ref":"GoogleApi.BigQuery.V2.Model.Row.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Row.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Row.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Row.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame.html","title":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame","type":"module","doc":"Attributes endColumn (type: integer(), default: nil) - [Output-only] One-based end column. endLine (type: integer(), default: nil) - [Output-only] One-based end line. procedureId (type: String.t, default: nil) - [Output-only] Name of the active procedure, empty if in a top-level script. startColumn (type: integer(), default: nil) - [Output-only] One-based start column. startLine (type: integer(), default: nil) - [Output-only] One-based start line. text (type: String.t, default: nil) - [Output-only] Text of the current statement/expression."},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ScriptStackFrame.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStatistics.html","title":"GoogleApi.BigQuery.V2.Model.ScriptStatistics","type":"module","doc":"Attributes evaluationKind (type: String.t, default: nil) - [Output-only] Whether this child job was a statement or expression. stackFrames (type: list(GoogleApi.BigQuery.V2.Model.ScriptStackFrame.t), default: nil) - Stack trace showing the line/column/procedure name of each frame on the stack at the point where the current evaluation happened. The leaf frame is first, the primary script is last. Never empty."},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStatistics.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ScriptStatistics.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ScriptStatistics.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ScriptStatistics.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType.html","title":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType","type":"module","doc":"The type of a variable, e.g., a function argument. Examples: INT64: {type_kind=&quot;INT64&quot;} ARRAY: {type_kind=&quot;ARRAY&quot;, array_element_type=&quot;STRING&quot;} STRUCT&lt;x STRING, y ARRAY&gt;: {type_kind=&quot;STRUCT&quot;, struct_type={fields=[ {name=&quot;x&quot;, type={type_kind=&quot;STRING&quot;}}, {name=&quot;y&quot;, type={type_kind=&quot;ARRAY&quot;, array_element_type=&quot;DATE&quot;}} ]}} Attributes arrayElementType (type: GoogleApi.BigQuery.V2.Model.StandardSqlDataType.t, default: nil) - The type of the array&#39;s elements, if type_kind = &quot;ARRAY&quot;. structType (type: GoogleApi.BigQuery.V2.Model.StandardSqlStructType.t, default: nil) - The fields of this struct, in order, if type_kind = &quot;STRUCT&quot;. typeKind (type: String.t, default: nil) - Required. The top level type of this field. Can be any standard SQL data type (e.g., &quot;INT64&quot;, &quot;DATE&quot;, &quot;ARRAY&quot;)."},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.StandardSqlDataType.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlField.html","title":"GoogleApi.BigQuery.V2.Model.StandardSqlField","type":"module","doc":"A field or a column. Attributes name (type: String.t, default: nil) - Optional. The name of this field. Can be absent for struct fields. type (type: GoogleApi.BigQuery.V2.Model.StandardSqlDataType.t, default: nil) - Optional. The type of this parameter. Absent if not explicitly specified (e.g., CREATE FUNCTION statement can omit the return type; in this case the output parameter does not have this &quot;type&quot; field)."},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlField.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.StandardSqlField.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlField.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.StandardSqlField.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType.html","title":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType","type":"module","doc":"Attributes fields (type: list(GoogleApi.BigQuery.V2.Model.StandardSqlField.t), default: nil) -"},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.StandardSqlStructType.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Streamingbuffer.html","title":"GoogleApi.BigQuery.V2.Model.Streamingbuffer","type":"module","doc":"Attributes estimatedBytes (type: String.t, default: nil) - [Output-only] A lower-bound estimate of the number of bytes currently in the streaming buffer. estimatedRows (type: String.t, default: nil) - [Output-only] A lower-bound estimate of the number of rows currently in the streaming buffer. oldestEntryTime (type: String.t, default: nil) - [Output-only] Contains the timestamp of the oldest entry in the streaming buffer, in milliseconds since the epoch, if the streaming buffer is available."},{"ref":"GoogleApi.BigQuery.V2.Model.Streamingbuffer.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Streamingbuffer.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Streamingbuffer.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Streamingbuffer.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.Table.html","title":"GoogleApi.BigQuery.V2.Model.Table","type":"module","doc":"Attributes clustering (type: GoogleApi.BigQuery.V2.Model.Clustering.t, default: nil) - [Beta] Clustering specification for the table. Must be specified with partitioning, data in the table will be first partitioned and subsequently clustered. creationTime (type: String.t, default: nil) - [Output-only] The time when this table was created, in milliseconds since the epoch. description (type: String.t, default: nil) - [Optional] A user-friendly description of this table. encryptionConfiguration (type: GoogleApi.BigQuery.V2.Model.EncryptionConfiguration.t, default: nil) - Custom encryption configuration (e.g., Cloud KMS keys). etag (type: String.t, default: nil) - [Output-only] A hash of the table metadata. Used to ensure there were no concurrent modifications to the resource when attempting an update. Not guaranteed to change when the table contents or the fields numRows, numBytes, numLongTermBytes or lastModifiedTime change. expirationTime (type: String.t, default: nil) - [Optional] The time when this table expires, in milliseconds since the epoch. If not present, the table will persist indefinitely. Expired tables will be deleted and their storage reclaimed. The defaultTableExpirationMs property of the encapsulating dataset can be used to set a default expirationTime on newly created tables. externalDataConfiguration (type: GoogleApi.BigQuery.V2.Model.ExternalDataConfiguration.t, default: nil) - [Optional] Describes the data format, location, and other properties of a table stored outside of BigQuery. By defining these properties, the data source can then be queried as if it were a standard BigQuery table. friendlyName (type: String.t, default: nil) - [Optional] A descriptive name for this table. id (type: String.t, default: nil) - [Output-only] An opaque ID uniquely identifying the table. kind (type: String.t, default: bigquery#table) - [Output-only] The type of the resource. labels (type: map(), default: nil) - The labels associated with this table. You can use these to organize and group your tables. Label keys and values can be no longer than 63 characters, can only contain lowercase letters, numeric characters, underscores and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter and each label in the list must have a different key. lastModifiedTime (type: String.t, default: nil) - [Output-only] The time when this table was last modified, in milliseconds since the epoch. location (type: String.t, default: nil) - [Output-only] The geographic location where the table resides. This value is inherited from the dataset. materializedView (type: GoogleApi.BigQuery.V2.Model.MaterializedViewDefinition.t, default: nil) - [Optional] Materialized view definition. model (type: GoogleApi.BigQuery.V2.Model.ModelDefinition.t, default: nil) - [Output-only, Beta] Present iff this table represents a ML model. Describes the training information for the model, and it is required to run &#39;PREDICT&#39; queries. numBytes (type: String.t, default: nil) - [Output-only] The size of this table in bytes, excluding any data in the streaming buffer. numLongTermBytes (type: String.t, default: nil) - [Output-only] The number of bytes in the table that are considered &quot;long-term storage&quot;. numPhysicalBytes (type: String.t, default: nil) - [Output-only] [TrustedTester] The physical size of this table in bytes, excluding any data in the streaming buffer. This includes compression and storage used for time travel. numRows (type: String.t, default: nil) - [Output-only] The number of rows of data in this table, excluding any data in the streaming buffer. rangePartitioning (type: GoogleApi.BigQuery.V2.Model.RangePartitioning.t, default: nil) - [TrustedTester] Range partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified. requirePartitionFilter (type: boolean(), default: false) - [Beta] [Optional] If set to true, queries over this table require a partition filter that can be used for partition elimination to be specified. schema (type: GoogleApi.BigQuery.V2.Model.TableSchema.t, default: nil) - [Optional] Describes the schema of this table. selfLink (type: String.t, default: nil) - [Output-only] A URL that can be used to access this resource again. streamingBuffer (type: GoogleApi.BigQuery.V2.Model.Streamingbuffer.t, default: nil) - [Output-only] Contains information regarding this table&#39;s streaming buffer, if one is present. This field will be absent if the table is not being streamed to or if there is no data in the streaming buffer. tableReference (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - [Required] Reference describing the ID of this table. timePartitioning (type: GoogleApi.BigQuery.V2.Model.TimePartitioning.t, default: nil) - Time-based partitioning specification for this table. Only one of timePartitioning and rangePartitioning should be specified. type (type: String.t, default: nil) - [Output-only] Describes the table type. The following values are supported: TABLE: A normal BigQuery table. VIEW: A virtual table defined by a SQL query. [TrustedTester] MATERIALIZED_VIEW: SQL query whose result is persisted. EXTERNAL: A table that references data stored in an external storage system, such as Google Cloud Storage. The default value is TABLE. view (type: GoogleApi.BigQuery.V2.Model.ViewDefinition.t, default: nil) - [Optional] The view definition."},{"ref":"GoogleApi.BigQuery.V2.Model.Table.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.Table.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.Table.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.Table.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableCell.html","title":"GoogleApi.BigQuery.V2.Model.TableCell","type":"module","doc":"Attributes v (type: any(), default: nil) -"},{"ref":"GoogleApi.BigQuery.V2.Model.TableCell.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableCell.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableCell.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableCell.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.html","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest","type":"module","doc":"Attributes ignoreUnknownValues (type: boolean(), default: nil) - [Optional] Accept rows that contain values that do not match the schema. The unknown values are ignored. Default is false, which treats unknown values as errors. kind (type: String.t, default: bigquery#tableDataInsertAllRequest) - The resource type of the response. rows (type: list(GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.t), default: nil) - The rows to insert. skipInvalidRows (type: boolean(), default: nil) - [Optional] Insert all valid rows of a request, even if invalid rows exist. The default value is false, which causes the entire request to fail if any invalid rows exist. templateSuffix (type: String.t, default: nil) - If specified, treats the destination table as a base template, and inserts the rows into an instance table named &quot;{destination}{templateSuffix}&quot;. BigQuery will manage creation of the instance table, using the schema of the base template table. See https://cloud.google.com/bigquery/streaming-data-into-bigquery#template-tables for considerations when working with templates tables."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.html","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows","type":"module","doc":"Attributes insertId (type: String.t, default: nil) - [Optional] A unique ID for each row. BigQuery uses this property to detect duplicate insertion requests on a best-effort basis. json (type: GoogleApi.BigQuery.V2.Model.JsonObject.t, default: nil) - [Required] A JSON object that contains a row of data. The object&#39;s properties and values must match the destination table&#39;s schema."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllRequestRows.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse.html","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse","type":"module","doc":"Attributes insertErrors (type: list(GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.t), default: nil) - An array of errors for rows that were not inserted. kind (type: String.t, default: bigquery#tableDataInsertAllResponse) - The resource type of the response."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.html","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors","type":"module","doc":"Attributes errors (type: list(GoogleApi.BigQuery.V2.Model.ErrorProto.t), default: nil) - Error information for the row indicated by the index property. index (type: integer(), default: nil) - The index of the row that error applies to."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableDataInsertAllResponseInsertErrors.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataList.html","title":"GoogleApi.BigQuery.V2.Model.TableDataList","type":"module","doc":"Attributes etag (type: String.t, default: nil) - A hash of this page of results. kind (type: String.t, default: bigquery#tableDataList) - The resource type of the response. pageToken (type: String.t, default: nil) - A token used for paging results. Providing this token instead of the startIndex parameter can help you retrieve stable results when an underlying table is changing. rows (type: list(GoogleApi.BigQuery.V2.Model.TableRow.t), default: nil) - Rows of results. totalRows (type: String.t, default: nil) - The total number of rows in the complete table."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataList.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableDataList.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableDataList.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableDataList.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchema.html","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchema","type":"module","doc":"Attributes categories (type: GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.t, default: nil) - [Optional] The categories attached to this field, used for field-level access control. description (type: String.t, default: nil) - [Optional] The field description. The maximum length is 1,024 characters. fields (type: list(GoogleApi.BigQuery.V2.Model.TableFieldSchema.t), default: nil) - [Optional] Describes the nested schema fields if the type property is set to RECORD. mode (type: String.t, default: nil) - [Optional] The field mode. Possible values include NULLABLE, REQUIRED and REPEATED. The default value is NULLABLE. name (type: String.t, default: nil) - [Required] The field name. The name must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum length is 128 characters. type (type: String.t, default: nil) - [Required] The field data type. Possible values include STRING, BYTES, INTEGER, INT64 (same as INTEGER), FLOAT, FLOAT64 (same as FLOAT), BOOLEAN, BOOL (same as BOOLEAN), TIMESTAMP, DATE, TIME, DATETIME, RECORD (where RECORD indicates that the field contains a nested schema) or STRUCT (same as RECORD)."},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchema.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchema.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchema.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchema.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.html","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories","type":"module","doc":"[Optional] The categories attached to this field, used for field-level access control. Attributes names (type: list(String.t), default: nil) - A list of category resource names. For example, &quot;projects/1/taxonomies/2/categories/3&quot;. At most 5 categories are allowed."},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableFieldSchemaCategories.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableList.html","title":"GoogleApi.BigQuery.V2.Model.TableList","type":"module","doc":"Attributes etag (type: String.t, default: nil) - A hash of this page of results. kind (type: String.t, default: bigquery#tableList) - The type of list. nextPageToken (type: String.t, default: nil) - A token to request the next page of results. tables (type: list(GoogleApi.BigQuery.V2.Model.TableListTables.t), default: nil) - Tables in the requested dataset. totalItems (type: integer(), default: nil) - The total number of tables in the dataset."},{"ref":"GoogleApi.BigQuery.V2.Model.TableList.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableList.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableList.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableList.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTables.html","title":"GoogleApi.BigQuery.V2.Model.TableListTables","type":"module","doc":"Attributes clustering (type: GoogleApi.BigQuery.V2.Model.Clustering.t, default: nil) - [Beta] Clustering specification for this table, if configured. creationTime (type: String.t, default: nil) - The time when this table was created, in milliseconds since the epoch. expirationTime (type: String.t, default: nil) - [Optional] The time when this table expires, in milliseconds since the epoch. If not present, the table will persist indefinitely. Expired tables will be deleted and their storage reclaimed. friendlyName (type: String.t, default: nil) - The user-friendly name for this table. id (type: String.t, default: nil) - An opaque ID of the table kind (type: String.t, default: bigquery#table) - The resource type. labels (type: map(), default: nil) - The labels associated with this table. You can use these to organize and group your tables. rangePartitioning (type: GoogleApi.BigQuery.V2.Model.RangePartitioning.t, default: nil) - The range partitioning specification for this table, if configured. tableReference (type: GoogleApi.BigQuery.V2.Model.TableReference.t, default: nil) - A reference uniquely identifying the table. timePartitioning (type: GoogleApi.BigQuery.V2.Model.TimePartitioning.t, default: nil) - The time-based partitioning specification for this table, if configured. type (type: String.t, default: nil) - The type of table. Possible values are: TABLE, VIEW. view (type: GoogleApi.BigQuery.V2.Model.TableListTablesView.t, default: nil) - Additional details for a view."},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTables.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableListTables.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTables.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableListTables.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTablesView.html","title":"GoogleApi.BigQuery.V2.Model.TableListTablesView","type":"module","doc":"Additional details for a view. Attributes useLegacySql (type: boolean(), default: nil) - True if view is defined in legacy SQL dialect, false if in standard SQL."},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTablesView.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableListTablesView.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableListTablesView.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableListTablesView.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableReference.html","title":"GoogleApi.BigQuery.V2.Model.TableReference","type":"module","doc":"Attributes datasetId (type: String.t, default: nil) - [Required] The ID of the dataset containing this table. projectId (type: String.t, default: nil) - [Required] The ID of the project containing this table. tableId (type: String.t, default: nil) - [Required] The ID of the table. The ID must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_). The maximum length is 1,024 characters."},{"ref":"GoogleApi.BigQuery.V2.Model.TableReference.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableReference.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableReference.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableReference.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableRow.html","title":"GoogleApi.BigQuery.V2.Model.TableRow","type":"module","doc":"Attributes f (type: list(GoogleApi.BigQuery.V2.Model.TableCell.t), default: nil) - Represents a single row in the result set, consisting of one or more fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableRow.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableRow.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableRow.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableRow.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TableSchema.html","title":"GoogleApi.BigQuery.V2.Model.TableSchema","type":"module","doc":"Attributes fields (type: list(GoogleApi.BigQuery.V2.Model.TableFieldSchema.t), default: nil) - Describes the fields in a table."},{"ref":"GoogleApi.BigQuery.V2.Model.TableSchema.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TableSchema.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TableSchema.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TableSchema.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TimePartitioning.html","title":"GoogleApi.BigQuery.V2.Model.TimePartitioning","type":"module","doc":"Attributes expirationMs (type: String.t, default: nil) - [Optional] Number of milliseconds for which to keep the storage for partitions in the table. The storage in a partition will have an expiration time of its partition time plus this value. field (type: String.t, default: nil) - [Beta] [Optional] If not set, the table is partitioned by pseudo column, referenced via either &#39;_PARTITIONTIME&#39; as TIMESTAMP type, or &#39;_PARTITIONDATE&#39; as DATE type. If field is specified, the table is instead partitioned by this field. The field must be a top-level TIMESTAMP or DATE field. Its mode must be NULLABLE or REQUIRED. requirePartitionFilter (type: boolean(), default: nil) - type (type: String.t, default: nil) - [Required] The only type supported is DAY, which will generate one partition per day."},{"ref":"GoogleApi.BigQuery.V2.Model.TimePartitioning.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TimePartitioning.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TimePartitioning.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TimePartitioning.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingOptions.html","title":"GoogleApi.BigQuery.V2.Model.TrainingOptions","type":"module","doc":"Attributes dataSplitColumn (type: String.t, default: nil) - The column to split data with. This column won&#39;t be used as a feature. When data_split_method is CUSTOM, the corresponding column should be boolean. The rows with true value tag are eval data, and the false are training data. When data_split_method is SEQ, the first DATA_SPLIT_EVAL_FRACTION rows (from smallest to largest) in the corresponding column are used as training data, and the rest are eval data. It respects the order in Orderable data types: https://cloud.google.com/bigquery/docs/reference/standard-sql/data-types#data-type-properties dataSplitEvalFraction (type: float(), default: nil) - The fraction of evaluation data over the whole input data. The rest of data will be used as training data. The format should be double. Accurate to two decimal places. Default value is 0.2. dataSplitMethod (type: String.t, default: nil) - The data split type for training and evaluation, e.g. RANDOM. distanceType (type: String.t, default: nil) - Distance type for clustering models. earlyStop (type: boolean(), default: nil) - Whether to stop early when the loss doesn&#39;t improve significantly any more (compared to min_relative_progress). Used only for iterative training algorithms. initialLearnRate (type: float(), default: nil) - Specifies the initial learning rate for the line search learn rate strategy. inputLabelColumns (type: list(String.t), default: nil) - Name of input label columns in training data. kmeansInitializationColumn (type: String.t, default: nil) - The column used to provide the initial centroids for kmeans algorithm when kmeans_initialization_method is CUSTOM. kmeansInitializationMethod (type: String.t, default: nil) - The method used to initialize the centroids for kmeans algorithm. l1Regularization (type: float(), default: nil) - L1 regularization coefficient. l2Regularization (type: float(), default: nil) - L2 regularization coefficient. labelClassWeights (type: map(), default: nil) - Weights associated with each label class, for rebalancing the training data. Only applicable for classification models. learnRate (type: float(), default: nil) - Learning rate in training. Used only for iterative training algorithms. learnRateStrategy (type: String.t, default: nil) - The strategy to determine learn rate for the current iteration. lossType (type: String.t, default: nil) - Type of loss function used during training run. maxIterations (type: String.t, default: nil) - The maximum number of iterations in training. Used only for iterative training algorithms. minRelativeProgress (type: float(), default: nil) - When early_stop is true, stops training when accuracy improvement is less than &#39;min_relative_progress&#39;. Used only for iterative training algorithms. modelUri (type: String.t, default: nil) - [Beta] Google Cloud Storage URI from which the model was imported. Only applicable for imported models. numClusters (type: String.t, default: nil) - Number of clusters for clustering models. optimizationStrategy (type: String.t, default: nil) - Optimization strategy for training linear regression models. warmStart (type: boolean(), default: nil) - Whether to train a model from the last checkpoint."},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingOptions.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TrainingOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingOptions.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TrainingOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingRun.html","title":"GoogleApi.BigQuery.V2.Model.TrainingRun","type":"module","doc":"Information about a single training query run for the model. Attributes dataSplitResult (type: GoogleApi.BigQuery.V2.Model.DataSplitResult.t, default: nil) - Data split result of the training run. Only set when the input data is actually split. evaluationMetrics (type: GoogleApi.BigQuery.V2.Model.EvaluationMetrics.t, default: nil) - The evaluation metrics over training/eval data that were computed at the end of training. results (type: list(GoogleApi.BigQuery.V2.Model.IterationResult.t), default: nil) - Output of each iteration run, results.size() &lt;= max_iterations. startTime (type: DateTime.t, default: nil) - The start time of this training run. trainingOptions (type: GoogleApi.BigQuery.V2.Model.TrainingOptions.t, default: nil) - Options that were used for this training run, includes user specified and default options that were used."},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingRun.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.TrainingRun.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.TrainingRun.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.TrainingRun.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.html","title":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource","type":"module","doc":"Attributes inlineCode (type: String.t, default: nil) - [Pick one] An inline resource that contains code for a user-defined function (UDF). Providing a inline code resource is equivalent to providing a URI for a file containing the same code. resourceUri (type: String.t, default: nil) - [Pick one] A code resource to load from a Google Cloud Storage URI (gs://bucket/path)."},{"ref":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.t/0","type":"type","doc":""},{"ref":"GoogleApi.BigQuery.V2.Model.ViewDefinition.html","title":"GoogleApi.BigQuery.V2.Model.ViewDefinition","type":"module","doc":"Attributes query (type: String.t, default: nil) - [Required] A query that BigQuery executes when the view is referenced. useLegacySql (type: boolean(), default: nil) - Specifies whether to use BigQuery&#39;s legacy SQL for this view. The default value is true. If set to false, the view will use BigQuery&#39;s standard SQL: https://cloud.google.com/bigquery/sql-reference/ Queries and views that reference this view must use the same flag value. userDefinedFunctionResources (type: list(GoogleApi.BigQuery.V2.Model.UserDefinedFunctionResource.t), default: nil) - Describes user-defined function resources used in the query."},{"ref":"GoogleApi.BigQuery.V2.Model.ViewDefinition.html#decode/2","title":"GoogleApi.BigQuery.V2.Model.ViewDefinition.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQuery.V2.Model.ViewDefinition.html#t:t/0","title":"GoogleApi.BigQuery.V2.Model.ViewDefinition.t/0","type":"type","doc":""}]